<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info> 

  <xsl:key use="concat(./G441,./G442,substring(./G443,1,10))" name="GoodDoc" match="//GTD44_ITEM"/>
	<xsl:template match="GTD44_ITEM">
	<xsl:if test="G442!='' and (G441=04041 or G441=04031 or G441=04021 or G441=04061 or G441=04081 or G441=04101 or G441=04111 or G441=04131)">    
	       <xsl:if  test="string-length(G444)>0">	
        		<xsl:value-of select="concat(normalize-space(G444),':')"/>
			</xsl:if>	
			<xsl:value-of select="normalize-space(G442)"/>
			<xsl:if  test="string-length(G443)>0">	
				<xsl:value-of select="concat('  ',substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/>
			</xsl:if>	
			<xsl:if  test="position()!=last()">
				<xsl:text>;</xsl:text>
			</xsl:if>
  </xsl:if>
  </xsl:template>
  
 <xsl:template match="/ALLDOCUMENTS"> 
  <xsl:element name="CMR">  
   <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM">
    <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM" select="current()"/>    
    <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
     <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM" select="current()"/>
     <xsl:element name="CMR_ITEM">     
      <xsl:element name="G1_1">
       <xsl:value-of select="G022"/>
      </xsl:element>      
      <xsl:element name="G1_2">
       <xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/>
      </xsl:element>      
      <xsl:element name="G2_1">
       <xsl:value-of select="G082"/>
      </xsl:element>      
      <xsl:element name="G2_2">
       <xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
      </xsl:element>         
      <xsl:element name="G13_3">
       <xsl:value-of select="G221"/>
      </xsl:element>      
      <xsl:element name="G13_2">
       <xsl:if test="G222!=''">
        <xsl:value-of select="format-number(number(G222),'#.00')"/>
       </xsl:if> 
      </xsl:element>      
      <xsl:element name="G15_3">
       <xsl:value-of select="G202"/>
      </xsl:element>            
      <xsl:element name="G25">
			<xsl:if test="string-length(GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS_PRIMARY)=0]/NTRANS)>0">
					<xsl:value-of select="GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS_PRIMARY)=0]/NTRANS"/>
			</xsl:if>
			<xsl:variable name="PricN">
				<xsl:choose>
					<xsl:when test="count(GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS_PRIMARY)>0]/NTRANS)>0">
						<xsl:for-each select="GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS_PRIMARY)>0]">
							<xsl:value-of select="NTRANS"/>
							<xsl:if  test="position()!=last()">, </xsl:if>
						</xsl:for-each>
					</xsl:when>
					<xsl:when test="count(GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS1)>0]/NTRANS1)>0">
						<xsl:value-of select="GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS1)>0]/NTRANS1"/>
						<xsl:if test="count(GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS2)>0]/NTRANS2)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS2)>0]/NTRANS2"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>	
			<xsl:if test="string-length($PricN)>0">
				<xsl:text>/</xsl:text>
				<xsl:value-of select="$PricN"/>
			</xsl:if>
      </xsl:element>     
      <!--  -->                  
      <xsl:element name="G5">   <!---->
		<xsl:apply-templates select="//GTD44_ITEM[generate-id(.)=generate-id(key('GoodDoc',concat(./G441,./G442,substring(./G443,1,10))))]">
				<xsl:sort select="concat(./G441,./G442,substring(./G443,1,10))"/>
		</xsl:apply-templates>
      </xsl:element> 
      <xsl:element name="G4_2">
       <xsl:value-of select="G15"/>
      </xsl:element>      
      <xsl:element name="G3_2">
       <xsl:value-of select="G17B"/>
      </xsl:element>          
      <xsl:element name="G3_1">
       <xsl:value-of select="G2021"/>
      </xsl:element>          
      <xsl:element name="CMR_CARGO">
       <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM">       
        <xsl:variable name="DECLDOP_DECLDOP_ITEM" select="current()"/>        
        <xsl:element name="CMR_CARGO_ITEM">        
         <xsl:element name="G8">
          <xsl:value-of select="G313"/>
         </xsl:element>               
         <xsl:element name="G9">
          <xsl:value-of select="G312"/>
         </xsl:element>         
         <xsl:element name="G10">
          <xsl:value-of select="G33"/>
         </xsl:element>         
         <xsl:element name="G11">
          <xsl:if test="G35!=''">
           <xsl:value-of select="format-number(number(G35),'#.000')"/>
          </xsl:if> 
         </xsl:element>        
         <xsl:element name="G12">
          <xsl:if test="G315C!=''">
           <xsl:value-of select="format-number(number(G315C),'#.00')"/>
          </xsl:if>
         </xsl:element>         
         <xsl:element name="G7">         
          <xsl:value-of select="G311"/>
         </xsl:element>         
        </xsl:element>
       </xsl:for-each>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:for-each>
  </xsl:element>  
 </xsl:template>  

 
</xsl:stylesheet>
