<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info> 
 <xsl:template match="/ALLDOCUMENTS"> 
  <xsl:element name="CMR">  
   <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM">
    <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM" select="current()"/>    
    <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
     <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM" select="current()"/>
     <xsl:element name="CMR_ITEM">     
      <xsl:element name="G1_1">
       <xsl:value-of select="G022"/>
      </xsl:element>      
      <xsl:element name="G1_2">
       <xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/>
      </xsl:element>      
      <xsl:element name="G2_1">
       <xsl:value-of select="G082"/>
      </xsl:element>      
      <xsl:element name="G2_2">
       <xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
      </xsl:element>         
      <xsl:element name="G13_3">
       <xsl:value-of select="G221"/>
      </xsl:element>      
      <xsl:element name="G13_2">
       <xsl:if test="G222!=''">
        <xsl:value-of select="format-number(number(G222),'#.00')"/>
       </xsl:if> 
      </xsl:element>      
      <xsl:element name="G15_3">
       <xsl:value-of select="G202"/>
      </xsl:element>            
      <xsl:element name="G25">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/GTDDKD/GTDDKD_ITEM[NGR=21]">
        <xsl:value-of select="NTRANS"/>&#xA0;<xsl:value-of select="NTRANS1"/>&#xA0;<xsl:value-of select="NTRANS2"/>
        <xsl:if test="position()!=last()">
         <xsl:text>, </xsl:text>
        </xsl:if>
       </xsl:for-each>
      </xsl:element>     
      <!--  -->                  
      <xsl:element name="G5">
       <xsl:variable name="NG07" select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/G07"/>
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM">    
        <xsl:if test="position()=1 and ND!=''">
         <xsl:value-of select="$NG07"/><xsl:text>, </xsl:text>
        </xsl:if>       
        <xsl:call-template name="ApplyDoc">
         <xsl:with-param name="Code" select="G441"/>
        </xsl:call-template>
       </xsl:for-each>
      </xsl:element>      
      <xsl:element name="G4_2">
       <xsl:value-of select="G15"/>
      </xsl:element>      
      <xsl:element name="G3_2">
       <xsl:value-of select="G17B"/>
      </xsl:element>          
      <xsl:element name="G3_1">
       <xsl:value-of select="G2021"/>
      </xsl:element>          
      <xsl:element name="CMR_CARGO">
       <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM">       
        <xsl:variable name="DECLDOP_DECLDOP_ITEM" select="current()"/>        
        <xsl:element name="CMR_CARGO_ITEM">        
         <xsl:element name="G8">
          <xsl:value-of select="G313"/>
         </xsl:element>               
         <xsl:element name="G9">
          <xsl:value-of select="G312"/>
         </xsl:element>         
         <xsl:element name="G10">
          <xsl:value-of select="G33"/>
         </xsl:element>         
         <xsl:element name="G11">
          <xsl:if test="G35!=''">
           <xsl:value-of select="format-number(number(G35),'#.00')"/>
          </xsl:if> 
         </xsl:element>        
         <xsl:element name="G12">
          <xsl:if test="G315C!=''">
           <xsl:value-of select="format-number(number(G315C),'#.00')"/>
          </xsl:if>
         </xsl:element>         
         <xsl:element name="G7">         
          <xsl:value-of select="G311"/>
         </xsl:element>         
        </xsl:element>
       </xsl:for-each>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:for-each>
  </xsl:element>  
 </xsl:template>  
 <xsl:template name="ApplyDoc">
  <xsl:param name="Code"/>
  <xsl:if test="G442!='' and ($Code=02024 or $Code=02025 or $Code=04021 or $Code=06041 or $Code=06042 or $Code=07021 or $Code=07022 or $Code=07023)">    
   <xsl:value-of select="concat(G442,'  ',substring(G443,9,2),'.',substring(G443,6,2),'.'substring(G443,1,4))"/>  
   <xsl:choose>
     <xsl:when test="$Code=2024">-</xsl:when>     
    <xsl:when test="$Code=2025">- </xsl:when>      
    <xsl:when test="$Code=4021">--</xsl:when>      
    <xsl:when test="$Code=6041">--. .</xsl:when>
    <xsl:when test="$Code=6042">-. -. .</xsl:when>     
    <xsl:when test="$Code=7021">-. . -1</xsl:when>
    <xsl:when test="$Code=7022">-. . </xsl:when>
    <xsl:when test="$Code=7023">-. . .</xsl:when>
   </xsl:choose>   
   <xsl:if test="position()!=last()">
    <xsl:text>, </xsl:text>
   </xsl:if>     
  </xsl:if>
 </xsl:template>
</xsl:stylesheet>
