<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
	<xsl:output method="xml"/>
	<ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info>
	<xsl:template name="LowerCaseRus">
		<xsl:param name="string"/>
		<xsl:variable name="smallcase" select="''"/>
		<xsl:variable name="uppercase" select="'ڨ'"/>
		<xsl:value-of select="translate($string, $uppercase, $smallcase)"/>
	</xsl:template>
	<xsl:template match="/ALLDOCUMENTS">
		<CMR>
			<xsl:for-each select="ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
				<CMR_ITEM>
					<DOC_ID>000</DOC_ID>
					<G1_1><xsl:value-of select="G022"/></G1_1>
					<G1_2>
						<xsl:for-each select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM">
							<xsl:value-of select="normalize-space(concat(G023POST,' ',../../ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0231N,' ',G023SUBD,' ',G023CITY,' ',G023STREET))"/>
						</xsl:for-each>
					</G1_2>
					<G2_1><xsl:value-of select="G082"/></G2_1>
					<G2_2>
						<xsl:for-each select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM">
							<xsl:value-of select="normalize-space(concat(G083POST,' ',../../ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831N,' ',G083SUBD,' ',G083CITY,' ',G083STREET))"/>
						</xsl:for-each>
					</G2_2>
					<G3_1>
						<xsl:for-each select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM">
							<xsl:value-of select="normalize-space(concat(G083POST,' ',G083SUBD,' ',G083CITY,' ',G083STREET))"/>
						</xsl:for-each>
					</G3_1>
					<G3_2><xsl:value-of select="G17B"/></G3_2>
					<G4_1><xsl:value-of select="G2021"/></G4_1>
					<G4_2><xsl:value-of select="G15"/></G4_2>
					<G4_3>
						<xsl:choose>
							<xsl:when  test="string-length(DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G441='02015']/G443)>0">
								<xsl:value-of select="DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G441='02015']/G443"/>
								</xsl:when>
								<xsl:when test="string-length(G542)>0">
									<xsl:value-of select="G542"/>
								</xsl:when>
						</xsl:choose>
					</G4_3>
					<G13_3><xsl:value-of select="G221"/></G13_3>
					<G13_2><xsl:value-of select="G222"/></G13_2>
					<G13_1>
						<xsl:if test="string-length(G222)>0">
							<xsl:variable name="CodeVal" select="G221"/>
							<xsl:variable name="NamVal">
								<xsl:choose>
									<xsl:when  test="G221=643">.</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="LowerCaseRus">
											<xsl:with-param name="string" select="document('TranspNSIXml.xml')//Currency_ITEM[Code=$CodeVal]/Name"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>	
							</xsl:variable>
							<xsl:value-of select="concat('  ', format-number(number(G222),'#.00'),' ',$NamVal)"/>
						</xsl:if>
						<xsl:text>&#xA;</xsl:text>
						<xsl:text>&#xA;</xsl:text>
						<xsl:for-each select="GTDDKD/GTDDKD_ITEM[NGR=18]">
							<xsl:value-of select="NTRANS"/>
							<xsl:if test="position()!=last()">
								<xsl:text>/</xsl:text>
							</xsl:if>
						</xsl:for-each>
					</G13_1>
					<G15_3><xsl:value-of select="concat(G202,' ',G2021)"/></G15_3>
					<G21_1><xsl:value-of select="G2021"/></G21_1>
					<G21_2><xsl:value-of select="DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G441='02015']/G443"/></G21_2>
					<G25>
						<xsl:for-each select="GTDDKD/GTDDKD_ITEM[NGR=18]">
							<xsl:value-of select="NTRANS"/>
							<xsl:if test="position()!=last()">
								<xsl:text>/</xsl:text>
							</xsl:if>
						</xsl:for-each>
					</G25>
					<G5>
						<xsl:variable name="NG07" select="../../G07"/>
						<xsl:variable name="CG441" select="'02024,02025,04021,06041,06042,07021,07022,07023,'"/>
						<!--<xsl:if test="string-length($NG07)>0 and count(DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[string-length(G442)>0 and contains($CG441,concat(G441,','))]/G442)>0">
							<xsl:value-of select="$NG07"/>
							<xsl:text>, </xsl:text>
						</xsl:if>
						<xsl:text>&#xA;</xsl:text>-->
						<xsl:for-each select="DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[string-length(G442)>0 and contains($CG441,concat(G441,','))]">
							<xsl:value-of select="G442"/>
							<xsl:if  test="string-length(G443)>0">
								<xsl:value-of select="concat('  ',substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/>
							</xsl:if>	
							<xsl:choose>
								<xsl:when test="G441=02024">-</xsl:when>
								<xsl:when test="G441=02025">- </xsl:when>
								<xsl:when test="G441=04021">--</xsl:when>
								<xsl:when test="G441=06041">--. .</xsl:when>
								<xsl:when test="G441=06042">-. -. .</xsl:when>
								<xsl:when test="G441=07021">-. . -1</xsl:when>
								<xsl:when test="G441=07022">-. . </xsl:when>
								<xsl:when test="G441=07023">-. . .</xsl:when>
							</xsl:choose>
							<xsl:if test="position()!=last()">
								<xsl:text>, </xsl:text>
							</xsl:if>
						</xsl:for-each>
					</G5>
					<TOTALGROSSWEIGHT><xsl:value-of select="format-number(sum(DECLDOP/DECLDOP_ITEM[string-length(G35)>0]/G35),'#.00')"/></TOTALGROSSWEIGHT>
					
					<CMR_CARGO>
						<xsl:for-each select="DECLDOP/DECLDOP_ITEM">
							<CMR_CARGO_ITEM>
								<DOC_ID>000</DOC_ID>
								<G8><xsl:value-of select="G313"/></G8>
								<G9><xsl:value-of select="G312"/></G9>
								<G10><xsl:value-of select="G33"/></G10>
								<G11>
									<xsl:if test="string-length(G35)>0">
										<xsl:value-of select="format-number(number(G35),'#.00')"/>
									</xsl:if>
								</G11>
								<G12>
									<xsl:if test="string-length(G315C)>0">
										<xsl:value-of select="format-number(number(G315C),'#.00')"/>
									</xsl:if>
								</G12>
								<G7><xsl:value-of select="G311"/></G7>
							</CMR_CARGO_ITEM>
						</xsl:for-each>
					</CMR_CARGO>
				</CMR_ITEM>
			</xsl:for-each>
		</CMR>
	</xsl:template>
</xsl:stylesheet>
