<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info>
 <xsl:template match="/ALLDOCUMENTS">
  <xsl:element name="INVOICEPRIM">
   <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM">
    <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM" select="current()"/>
    <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
     <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM" select="current()"/>
     <xsl:element name="INVOICEPRIM_ITEM">
      <xsl:element name="NPP">1</xsl:element>
      <xsl:element name="G022">
       <xsl:value-of select="G022"/>
      </xsl:element>
      <xsl:element name="G023">
       <xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/>
      </xsl:element>
      <xsl:element name="M021">
       <xsl:value-of select="M021"/>
      </xsl:element>
      <xsl:element name="Seler_KPP">
       <xsl:value-of select="G027"/>
      </xsl:element>
      <xsl:element name="G092">
       <xsl:value-of select="G082"/>
      </xsl:element>
      <xsl:element name="G093">
       <xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
      </xsl:element>
      <xsl:element name="M091">
       <xsl:value-of select="M081"/>
      </xsl:element>
      <xsl:element name="G202">
       <xsl:value-of select="G202"/>
      </xsl:element>
      <xsl:element name="G2021">
       <xsl:value-of select="G2021"/>
      </xsl:element>
      <xsl:element name="G221">
       <xsl:value-of select="G221"/>
      </xsl:element>
      <xsl:element name="G221_1">
      <xsl:variable name="G221" select="G221"/>
       <xsl:value-of select="document('TranspNSIXml.xml')//Currency_ITEM[Code=$G221]/Name"/>
      </xsl:element>
      <xsl:element name="OURACCOUNT">
       <xsl:value-of select="G284"/>
      </xsl:element>
      <xsl:element name="InvoiceNo">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and G441=04021][1]">
        <xsl:value-of select="G442"/>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="InvoiceDate">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and G441=04021][1]">
        <xsl:value-of select="G443"/>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="ContractNo">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and G441=4011][1]">
        <xsl:value-of select="G442"/>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="ContractDate">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and G441=4011][1]">
        <xsl:value-of select="G443"/>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="BILLNUMBERS">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and (G441=2011 or G441=2012 or G441=2013 or G441=2014 or G441=2015 or G441=2016 or G441=2017)]">
        <xsl:value-of select="G442"/>
        <xsl:if test="position()!=last()">
         <xsl:text>, </xsl:text>
        </xsl:if>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="TRANSPORTNUMBERS">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/GTDDKD/GTDDKD_ITEM[NGR=21]">
        <xsl:value-of select="NTRANS"/>&#xA0;<xsl:value-of select="NTRANS1"/>&#xA0;<xsl:value-of select="NTRANS2"/>
        <xsl:if test="position()!=last()">
         <xsl:text>, </xsl:text>
        </xsl:if>
       </xsl:for-each>
      </xsl:element>      
      <xsl:element name="INVOICEDOP">
       <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM">
        <xsl:variable name="DECLDOP_DECLDOP_ITEM" select="current()"/>
        <xsl:element name="INVOICEDOP_ITEM">
         <xsl:element name="NPP">
          <xsl:value-of select="G32"/>
         </xsl:element>
         <xsl:element name="G311">
          <xsl:value-of select="G311"/>
         </xsl:element>
         <xsl:element name="G312">
          <xsl:value-of select="G312"/>
         </xsl:element>
         <xsl:element name="UNIT">
          <xsl:value-of select="G315"/>
         </xsl:element>
         <xsl:element name="UnitCode">
          <xsl:value-of select="G41A"/>
         </xsl:element>
         <xsl:element name="COUNT">
          <xsl:value-of select="G315A"/>
         </xsl:element>
         <xsl:element name="G32">
          <xsl:value-of select="G32"/>
         </xsl:element>
         <xsl:element name="G33">
          <xsl:value-of select="G33"/>
         </xsl:element>
         <xsl:element name="G35">
          <xsl:value-of select="G35"/>
         </xsl:element>
         <xsl:element name="G38">
          <xsl:value-of select="G38"/>
         </xsl:element>
         <xsl:element name="PRICE">
          <xsl:value-of select="G42"/>
         </xsl:element>
         <xsl:element name="CountryName">
          <xsl:value-of select="../../G16"/>
         </xsl:element>
         <xsl:element name="CountryCode">
            <xsl:variable name="CountryCode" select="../../G16"/>
		   <xsl:value-of select="document('TranspNSIXml.xml')//Country_ITEM[Name=$CountryCode]/Code"/>
         </xsl:element>
        </xsl:element>
       </xsl:for-each>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:for-each>
  </xsl:element>
 </xsl:template>
</xsl:stylesheet>
