<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
	<xsl:key use="concat(./G442,./G443)" name="G44" match="//GTD44_ITEM[G441=03011 or G441=03012]"/>
	<xsl:template match="//GTD44_ITEM[G441=03011 or G441=03012]">
	
			<xsl:choose>
				<xsl:when test="string-length(G443)>0">
					<xsl:value-of select="concat(G442, '  ', substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/>			
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="G442"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="position()!=last()">
				<xsl:text>, </xsl:text>
			</xsl:if>
	
	</xsl:template>
	  <!--or G441=02011 or G441=02012 or G441=02014 or G441=02015 or G441=02016 or G441=02017-->
<xsl:key use="concat(./G442,./G443)" name="G44_1" match="//GTD44_ITEM[G441=02013]"/>
	<xsl:template match="//GTD44_ITEM[G441=02013]">
	
			<xsl:choose>
				<xsl:when test="string-length(G443)>0">
					<xsl:value-of select="concat(G442, '  ', substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/>			
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="G442"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="position()!=last()">
				<xsl:text>, </xsl:text>
			</xsl:if>
	
	</xsl:template>
	<xsl:output method="xml"/>
	<ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info>
	<xsl:template match="/ALLDOCUMENTS">
		<xsl:element name="INVOICEPRIM">
			<xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM">
				<xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM" select="current()"/>
				<xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
					<xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM" select="current()"/>
					<xsl:element name="INVOICEPRIM_ITEM">
						<xsl:element name="NPP">1</xsl:element>
						<xsl:element name="G022">
							<xsl:value-of select="G022"/>
						</xsl:element>
						<xsl:element name="G023">
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/>
						</xsl:element>
						<xsl:element name="M021">
							<xsl:value-of select="M021"/>
						</xsl:element>
						<!--.    -->
						<xsl:element name="_GF2">
							<xsl:value-of select="G082"/>
						</xsl:element>
						<xsl:element name="_GF3">
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
						</xsl:element>
						
						<xsl:element name="Dispatch">
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/>
						</xsl:element>
						<xsl:element name="Destination">
							<xsl:value-of select="G17B"/>
						</xsl:element>
						<xsl:element name="FIO1">
							<xsl:value-of select="concat(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441,' ',ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441NAME,' ',ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441MDLNAME)"/>
						</xsl:element>
						<xsl:element name="Total">
							<xsl:value-of select="G222"/>
						</xsl:element>
						<xsl:element name="G092">
							<xsl:value-of select="G082"/>
						</xsl:element>
						<xsl:element name="G093">
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
							<xsl:text>&#xA0;</xsl:text>
							<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
						</xsl:element>
						
						<xsl:element name="M091">
							<xsl:value-of select="M081"/>
						</xsl:element>
						<xsl:element name="G202">
							<xsl:value-of select="G202"/>
						</xsl:element>
						<xsl:element name="G2021">
							<xsl:value-of select="G2021"/>
						</xsl:element>
						<xsl:element name="G221">
							<xsl:value-of select="G221"/>
						</xsl:element>
						<xsl:element name="ORIGINCOUNTRY">
							<xsl:value-of select="G16"/>
						</xsl:element>
						<xsl:element name="OURACCOUNT">
							<xsl:value-of select="G284"/>
						</xsl:element>
						<xsl:element name="INVOICEDATE">
							<xsl:value-of select="//GTD44_ITEM[G441=04021][1]/G443"/>
						</xsl:element>
						<xsl:element name="INVOICENO">
							<xsl:value-of select="//GTD44_ITEM[G441=04021][1]/G442"/>
						</xsl:element>
						<xsl:element name="ContractNo">
							<xsl:apply-templates select="//GTD44_ITEM[generate-id(.)=generate-id(key('G44',concat(./G442,./G443)))]"/>
						</xsl:element>
						<xsl:element name="BILL">
  							<xsl:apply-templates select="//GTD44_ITEM[generate-id(.)=generate-id(key('G44_1',concat(./G442,./G443)))]"/>
						</xsl:element>
						<xsl:element name="TRANSPORTNUMBERS">
							<xsl:for-each select="//GTDDKD_ITEM[NGR=21]">
								<xsl:value-of select="NTRANS"/>
								<xsl:if test="string-length(NTRANS1)>0">
									<xsl:text>&#xA0;</xsl:text>
									<xsl:value-of select="NTRANS1"/>
								</xsl:if>
								<xsl:if test="string-length(NTRANS2)>0">
									<xsl:text>&#xA0;</xsl:text>
									<xsl:value-of select="NTRANS2"/>
								</xsl:if>
								<xsl:if test="position()!=last()">
									<xsl:text>, </xsl:text>
								</xsl:if>
							</xsl:for-each>
						</xsl:element>
						<xsl:element name="VALABBR">
							<xsl:choose>
								<xsl:when test="G221='643'">RUB</xsl:when>
								<xsl:when test="G221='978'">EUR</xsl:when>
								<xsl:when test="G221='840'">USD</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="G221"/>
								</xsl:otherwise>
							</xsl:choose>
							
						</xsl:element>
						<xsl:element name="WAGGON">
							<xsl:for-each select="//GTDDKD_ITEM[NGR=18 and VIDTRANS=20]">
								<xsl:value-of select="NTRANS"/>
								<xsl:if test="position()!=last()">
									<xsl:text>, </xsl:text>
								</xsl:if>
							</xsl:for-each>
						</xsl:element>						
						<xsl:element name="INVOICEDOP">
							<xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM">
								<xsl:variable name="DECLDOP_DECLDOP_ITEM" select="current()"/>
								<xsl:element name="INVOICEDOP_ITEM">
									<xsl:element name="NPP">
										<xsl:value-of select="G32"/>
									</xsl:element>
									<xsl:element name="G311">
										<xsl:value-of select="G311"/>
									</xsl:element>
									<xsl:element name="G312">
										<xsl:value-of select="G312"/>
										<xsl:choose>
											<xsl:when test="contains(ADDTODECLDOP/ADDTODECLDOP_ITEM/ADDTO312,'. ')">
												<xsl:value-of select="concat(' ',GTDBACK/GTDBACK_ITEM/TEXT)"/>
											</xsl:when>
											<xsl:otherwise>
											<xsl:value-of select="concat(' ',ADDTODECLDOP/ADDTODECLDOP_ITEM/ADDTO312)"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:element>
									<xsl:element name="UNIT">
										<xsl:for-each select="GTDPK/GTDPK_ITEM[PKSIGN=0]">
											<xsl:if test="position()=1">
												<xsl:value-of select="PKVID"/>
											</xsl:if>
										</xsl:for-each>
									</xsl:element>
									<xsl:element name="COUNT">
										<xsl:value-of select="G315A"/>
									</xsl:element>
									<xsl:element name="G32">
										<xsl:value-of select="G32"/>
									</xsl:element>
									<xsl:element name="G33">
										<xsl:value-of select="G33"/>
									</xsl:element>
									<xsl:element name="G35">
										<xsl:value-of select="G35"/>
									</xsl:element>
									<xsl:element name="G38">
										<xsl:value-of select="G38"/>
									</xsl:element>
									<xsl:element name="PRICE">
										<xsl:value-of select="G42"/>
									</xsl:element>
								</xsl:element>
							</xsl:for-each>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
