<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
	<xsl:output method="xml"/>
	<ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info>
	<xsl:template match="/ALLDOCUMENTS">
		<SMGS>
			<xsl:for-each select="ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
				<SMGS_ITEM>
					<G1_1><xsl:value-of select="G022"/></G1_1>
					<G1_2>
						<xsl:for-each select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM">
							<xsl:value-of select="G023POST"/>&#xA0;
						<xsl:value-of select="G023SUBD"/>&#xA0;
						<xsl:value-of select="G023CITY"/>&#xA0;
						<xsl:value-of select="G023STREET"/>
						</xsl:for-each>
					</G1_2>
					<G5_1><xsl:value-of select="G082"/></G5_1>
					<G5_2>
						<xsl:for-each select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM">
							<xsl:value-of select="G083POST"/>&#xA0;
						<xsl:value-of select="G083SUBD"/>&#xA0;
						<xsl:value-of select="G083CITY"/>&#xA0;
						<xsl:value-of select="G083STREET"/>
						</xsl:for-each>
					</G5_2>
					<G06_CONTR>
						<xsl:for-each select="DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and G441=04011][1]">
							<xsl:value-of select="G442"/>
							<xsl:if test="string-length(G443)>0">
								<xsl:text>  </xsl:text>
								<xsl:value-of select="substring (G443,9,2)"/>
								<xsl:text>.</xsl:text>
								<xsl:value-of select="substring (G443,6,2)"/>
								<xsl:text>.</xsl:text>
								<xsl:value-of select="substring (G443,3,2)"/>
							</xsl:if>
						</xsl:for-each>
					</G06_CONTR>
					<DOC_N><xsl:value-of select="DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and G441=02013][1]/G442"/></DOC_N>
					<SMGS_BACKPRIM>
						<SMGS_BACKPRIM_ITEM>
							<SMGS_BACKDOP>
								<SMGS_BACKDOP_ITEM>
							</SMGS_BACKDOP_ITEM>
							</SMGS_BACKDOP>
						</SMGS_BACKPRIM_ITEM>
					</SMGS_BACKPRIM>
					<SMGS_CARGO>
						<xsl:for-each select="DECLDOP/DECLDOP_ITEM">
							<SMGS_CARGO_ITEM>
								<G10><xsl:value-of select="G313"/></G10>
								<G11><xsl:value-of select="G312"/></G11>
								<MEST><xsl:value-of select="G311"/></MEST>
								<KGUSER><xsl:value-of select="G35"/></KGUSER>
							</SMGS_CARGO_ITEM>
						</xsl:for-each>
					</SMGS_CARGO>
					<SMGS_OSZAYAV>
						<SMGS_OSZAYAV_ITEM>
					   </SMGS_OSZAYAV_ITEM>
					</SMGS_OSZAYAV>
					<SMGS_PLOMB45>
						<SMGS_PLOMB45_ITEM>
					   </SMGS_PLOMB45_ITEM>
					</SMGS_PLOMB45>
					<SMGS_PRILDOC>
						<xsl:for-each select="DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[string-length(G442)>0 and (G441=02013 or G441=02014 or G441=02016 or G441=02023 or G441=04021 or G441=06041 or G441=06042 or G441=07021 or G441=07022 or G441=07023)]">
							<SMGS_PRILDOC_ITEM>
								<OPIS>
									<xsl:call-template name="ApplyDoc">
										<xsl:with-param name="Code" select="G441"/>
									</xsl:call-template>
								</OPIS>
							</SMGS_PRILDOC_ITEM>
						</xsl:for-each>
					</SMGS_PRILDOC>
					<SMGS_STATIONS>
						<SMGS_STATIONS_ITEM>
						</SMGS_STATIONS_ITEM>
					</SMGS_STATIONS>
					<SMGS_VAGONS>
						<xsl:for-each select="GTDDKD/GTDDKD_ITEM[((NGR=18) or (NGR=21)) and VIDTRANS=20]">
							<SMGS_VAGONS_ITEM>
								<VAGON><xsl:value-of select="NTRANS"/></VAGON>
							</SMGS_VAGONS_ITEM>
						</xsl:for-each>
					</SMGS_VAGONS>
				</SMGS_ITEM>
			</xsl:for-each>
		</SMGS>
	</xsl:template>
	<xsl:template name="ApplyDoc">
		<xsl:param name="Code"/>
		<xsl:value-of select="G442"/>
		<xsl:if test="string-length(G443)>0">
			<xsl:text>  </xsl:text>
			<xsl:value-of select="substring (G443,9,2)"/>
			<xsl:text>.</xsl:text>
			<xsl:value-of select="substring (G443,6,2)"/>
			<xsl:text>.</xsl:text>
			<xsl:value-of select="substring (G443,3,2)"/>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="$Code=02013">-/ </xsl:when>
			<xsl:when test="$Code=02014">- .</xsl:when>
			<xsl:when test="$Code=02016">-. .  </xsl:when>
			<xsl:when test="$Code=02023">-. . /</xsl:when>
			<xsl:when test="$Code=04021">--</xsl:when>
			<xsl:when test="$Code=06041">--. .</xsl:when>
			<xsl:when test="$Code=06042">-. -. .</xsl:when>
			<xsl:when test="$Code=07021">-. . -1</xsl:when>
			<xsl:when test="$Code=07022">-. . </xsl:when>
			<xsl:when test="$Code=07023">-. . .</xsl:when>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
