<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
	<xsl:template name="ConCatAddr">
		<xsl:param name="Field"/>
		<xsl:param name="FieldN"/>
		<xsl:choose>
			<xsl:when test="string-length($FieldN)>0">
				<xsl:if test="string-length($Field)>0">
					<xsl:value-of select="$Field"/> 
					<xsl:text> </xsl:text>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="string-length($Field)>0">
					<xsl:value-of select="$Field"/>
					<xsl:text> </xsl:text>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="FioFiz">
		<xsl:param name="Field"/>
		<xsl:param name="PrField"/>
		   <xsl:choose>
				<xsl:when test="$PrField=1">
					<xsl:choose>
						<xsl:when test="contains($Field,' ')">
							<xsl:value-of select="substring-before($Field,' ')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$Field"/>
						</xsl:otherwise>
					</xsl:choose>		
				</xsl:when>
				<xsl:when test="$PrField=2">
					<xsl:choose>
						<xsl:when test="contains(substring-after($Field,' '),' ')">
							<xsl:value-of select="substring-before(substring-after($Field,' '),' ')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$Field"/>
						</xsl:otherwise>
					</xsl:choose>		
				</xsl:when>
				<xsl:when test="$PrField=3">
					<xsl:choose>
						<xsl:when test="contains(substring-after($Field,' '),' ')">
							<xsl:value-of select="substring-after(substring-after($Field,' '),' ')"/>
						</xsl:when>
					</xsl:choose>		
				</xsl:when>	
			</xsl:choose>		
	</xsl:template>

<xsl:key use="concat(./G442,./G443)" name="G44" match="//GTD44_ITEM[G441=03011 or G441=04021]"/>
	<xsl:template match="//GTD44_ITEM[G441=03011 or G441=04021]">
		<STATDOC_ITEM>
			<DOC_ID>0</DOC_ID>
			<DOCUMENTDATE><xsl:value-of select="G443"/></DOCUMENTDATE>
			<DOCUMENTNAME><xsl:value-of select="G444"/></DOCUMENTNAME>
			<DOCUMENTNUMBER><xsl:value-of select="G442"/></DOCUMENTNUMBER>
		</STATDOC_ITEM>
	</xsl:template>

	<xsl:output method="xml"/>
	<ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info>
	<xsl:template match="/ALLDOCUMENTS">
		<STATPRIM>
			<xsl:for-each select="ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
			    <xsl:variable name="NumGtd" select="ND"/>
			    <xsl:variable name="DatGtd" select="G542"/>
			    <xsl:variable name="ValCurs" select="G23"/>
			    <xsl:variable name="Rez" select="G011"/>
				<STATPRIM_ITEM>
					<A><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5447"/></A>
					<B><xsl:value-of select="concat(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441,' ',ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441NAME,' ',ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441MDLNAME)"/></B>
					<C><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5442"/></C>
					<xsl:choose>
						<xsl:when test="$Rez=''">
							<DIRECTION></DIRECTION>
							<SENDER_COUNTRYCODE>RU</SENDER_COUNTRYCODE>	
							<SENDER_COUNTRYNAME></SENDER_COUNTRYNAME>
							<RECEIVER_COUNTRYCODE>BY</RECEIVER_COUNTRYCODE>	
							<RECEIVER_COUNTRYNAME></RECEIVER_COUNTRYNAME>
							<RECEIVER_UFL>0</RECEIVER_UFL>	
							<xsl:variable name="Nam" select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831N"/>
							<SENDER_COUNTRYCODE><xsl:value-of select="document('TranspNSIXml.xml')//Country_ITEM[Name=$Nam]/ABC2"/></SENDER_COUNTRYCODE>	
							<SENDER_COUNTRYNAME><xsl:value-of select="$Nam"/></SENDER_COUNTRYNAME>	
							<xsl:choose>
								<xsl:when test="string-length(ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0881)>0">
									<SENDER_UFL>1</SENDER_UFL>
									<SENDER_FL_LASTNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G082"/>
											<xsl:with-param name="PrField" select="1"/>
										</xsl:call-template>
									</SENDER_FL_LASTNAME>
									<SENDER_FL_FIRSTNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G082"/>
											<xsl:with-param name="PrField" select="2"/>
										</xsl:call-template>
									</SENDER_FL_FIRSTNAME>
									<SENDER_FL_SURNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G082"/>
											<xsl:with-param name="PrField" select="3"/>
										</xsl:call-template>
									</SENDER_FL_SURNAME>
									<SENDER_FL_ADDRESS>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
										</xsl:call-template>
										<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET)>0">
											<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET)"/>
										</xsl:if>		
									</SENDER_FL_ADDRESS>
									<SENDER_FL_OGRN><xsl:value-of select="G080"/></SENDER_FL_OGRN>
									<SENDER_FL_INN><xsl:value-of select="M081"/></SENDER_FL_INN>
									<SENDER_FL_KPP><xsl:value-of select="G087"/></SENDER_FL_KPP>
								</xsl:when>
								<xsl:otherwise>
									<SENDER_UFL>0</SENDER_UFL>
									<SENDER_UL_NAME><xsl:value-of select="G082"/></SENDER_UL_NAME>
									<SENDER_UL_ADDRESS>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
										</xsl:call-template>
										<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET)>0">
											<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET)"/>
										</xsl:if>		
									</SENDER_UL_ADDRESS>
									<SENDER_UL_OGRN><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G080"/></SENDER_UL_OGRN>
									<SENDER_UL_INN><xsl:value-of select="M081"/></SENDER_UL_INN>
									<SENDER_UL_KPP><xsl:value-of select="G087"/></SENDER_UL_KPP>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<DIRECTION><xsl:value-of select="G011"/></DIRECTION>
							<xsl:variable name="Nam" select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0231N"/>
							<SENDER_COUNTRYCODE><xsl:value-of select="document('TranspNSIXml.xml')//Country_ITEM[Name=$Nam]/ABC2"/></SENDER_COUNTRYCODE>	
							<SENDER_COUNTRYNAME><xsl:value-of select="$Nam"/></SENDER_COUNTRYNAME>	
							<xsl:choose>
								<xsl:when test="string-length(ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0281)>0">
									<SENDER_UFL>1</SENDER_UFL>
									<SENDER_FL_LASTNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G022"/>
											<xsl:with-param name="PrField" select="1"/>
										</xsl:call-template>
									</SENDER_FL_LASTNAME>
									<SENDER_FL_FIRSTNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G022"/>
											<xsl:with-param name="PrField" select="2"/>
										</xsl:call-template>
									</SENDER_FL_FIRSTNAME>
									<SENDER_FL_SURNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G022"/>
											<xsl:with-param name="PrField" select="3"/>
										</xsl:call-template>
									</SENDER_FL_SURNAME>
									<SENDER_FL_ADDRESS>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/>
										</xsl:call-template>
										<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET)>0">
											<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET)"/>
										</xsl:if>		
									</SENDER_FL_ADDRESS>
									<SENDER_FL_OGRN><xsl:value-of select="G020"/></SENDER_FL_OGRN>
									<SENDER_FL_INN><xsl:value-of select="M021"/></SENDER_FL_INN>
									<SENDER_FL_KPP><xsl:value-of select="G027"/></SENDER_FL_KPP>
								</xsl:when>
								<xsl:otherwise>
									<SENDER_UFL>0</SENDER_UFL>
									<SENDER_UL_NAME><xsl:value-of select="G022"/></SENDER_UL_NAME>
									<SENDER_UL_ADDRESS>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/>
										</xsl:call-template>
										<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET)>0">
											<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET)"/>
										</xsl:if>		
									</SENDER_UL_ADDRESS>
									<SENDER_UL_OGRN><xsl:value-of select="G020"/></SENDER_UL_OGRN>
									<SENDER_UL_INN><xsl:value-of select="M021"/></SENDER_UL_INN>
									<SENDER_UL_KPP><xsl:value-of select="G027"/></SENDER_UL_KPP>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:variable name="Nam1" select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831N"/>
							<RECEIVER_COUNTRYCODE><xsl:value-of select="document('TranspNSIXml.xml')//Country_ITEM[Name=$Nam1]/ABC2"/></RECEIVER_COUNTRYCODE>
							<RECEIVER_COUNTRYNAME><xsl:value-of select="$Nam1"/></RECEIVER_COUNTRYNAME>
							<xsl:choose>
								<xsl:when test="string-length(ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0881)>0">
									<RECEIVER_UFL>1</RECEIVER_UFL>
									<RECEIVER_FL_LASTNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G082"/>
											<xsl:with-param name="PrField" select="1"/>
										</xsl:call-template>
									</RECEIVER_FL_LASTNAME>
									<RECEIVER_FL_FIRSTNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G082"/>
											<xsl:with-param name="PrField" select="2"/>
										</xsl:call-template>
									</RECEIVER_FL_FIRSTNAME>
									<RECEIVER_FL_SURNAME>
										<xsl:call-template name="FioFiz">
											<xsl:with-param name="Field" select="G082"/>
											<xsl:with-param name="PrField" select="3"/>
										</xsl:call-template>
									</RECEIVER_FL_SURNAME>
									<RECEIVER_FL_ADDRESS>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
										</xsl:call-template>
										<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET)>0">
											<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET)"/>
										</xsl:if>		
									</RECEIVER_FL_ADDRESS>
									<RECEIVER_FL_OGRN><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G080"/></RECEIVER_FL_OGRN>
									<RECEIVER_FL_INN><xsl:value-of select="M081"/></RECEIVER_FL_INN>
									<RECEIVER_FL_KPP><xsl:value-of select="G087"/></RECEIVER_FL_KPP>
								</xsl:when>
								<xsl:otherwise>
									<RECEIVER_UFL>0</RECEIVER_UFL>
									<RECEIVER_UL_NAME><xsl:value-of select="G082"/></RECEIVER_UL_NAME>
									<RECEIVER_UL_ADDRESS>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
										</xsl:call-template>
										<xsl:call-template name="ConCatAddr">
											<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>
											<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
										</xsl:call-template>
										<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET)>0">
											<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET)"/>
										</xsl:if>		
									</RECEIVER_UL_ADDRESS>
									<RECEIVER_UL_OGRN><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G080"/></RECEIVER_UL_OGRN>
									<RECEIVER_UL_INN><xsl:value-of select="M081"/></RECEIVER_UL_INN>
									<RECEIVER_UL_KPP><xsl:value-of select="G087"/></RECEIVER_UL_KPP>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="string-length(ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0981)>0">
							<FINANCE>2</FINANCE>
							<FINANCE_IND_LASTNAME>
								<xsl:call-template name="FioFiz">
									<xsl:with-param name="Field" select="G092"/>
									<xsl:with-param name="PrField" select="1"/>
								</xsl:call-template>
							</FINANCE_IND_LASTNAME>
							<FINANCE_IND_FIRSTNAME>
								<xsl:call-template name="FioFiz">
									<xsl:with-param name="Field" select="G092"/>
									<xsl:with-param name="PrField" select="2"/>
								</xsl:call-template>
							</FINANCE_IND_FIRSTNAME>
							<FINANCE_IND_SURNAME>
								<xsl:call-template name="FioFiz">
									<xsl:with-param name="Field" select="G092"/>
									<xsl:with-param name="PrField" select="3"/>
								</xsl:call-template>
							</FINANCE_IND_SURNAME>
							<FINANCE_IND_ADDRESSSTATE>
								<xsl:call-template name="ConCatAddr">
									<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093POST"/>
									<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093SUBD"/>
								</xsl:call-template>
								<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093SUBD)>0">
									<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093SUBD)"/>
								</xsl:if>	
							</FINANCE_IND_ADDRESSSTATE>
							<FINANCE_IND_ADDRESSPLACE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093CITY"/></FINANCE_IND_ADDRESSPLACE>
							<FINANCE_IND_ADDRESSSTREET><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093STREET"/></FINANCE_IND_ADDRESSSTREET>
							<FINANCE_IND_OGRN><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G090"/></FINANCE_IND_OGRN>
							<FINANCE_IND_INN><xsl:value-of select="M091"/></FINANCE_IND_INN>
							<FINANCE_IND_KPP><xsl:value-of select="G097"/></FINANCE_IND_KPP>
						</xsl:when>
						<xsl:otherwise>
							<FINANCE>0</FINANCE>
							<FINANCE_ORG_NAME><xsl:value-of select="G092"/></FINANCE_ORG_NAME>
							<FINANCE_ORG_ADDRESSSTATE>
								<xsl:call-template name="ConCatAddr">
									<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093POST"/>
									<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093SUBD"/>
								</xsl:call-template>
								<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093SUBD)>0">
									<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093SUBD)"/>
								</xsl:if>	
							</FINANCE_ORG_ADDRESSSTATE>
							<FINANCE_ORG_ADDRESSPLACE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093CITY"/></FINANCE_ORG_ADDRESSPLACE>
							<FINANCE_ORG_ADDRESSSTREET><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093STREET"/></FINANCE_ORG_ADDRESSSTREET>
							<FINANCE_ORG_OGRN><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G090"/></FINANCE_ORG_OGRN>
							<FINANCE_ORG_INN><xsl:value-of select="M091"/></FINANCE_ORG_INN>
							<FINANCE_ORG_KPP><xsl:value-of select="G097"/></FINANCE_ORG_KPP>
							<xsl:if test="string-length(G092A)>0">
								<FINANCE>1</FINANCE>
								<FINANCE_DEP_NAME><xsl:value-of select="G092A"/></FINANCE_DEP_NAME>
								<FINANCE_DEP_ADDRESSSTATE>
									<xsl:call-template name="ConCatAddr">
										<xsl:with-param name="Field" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093APOST"/>
										<xsl:with-param name="FieldN" select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093ASUBD"/>
									</xsl:call-template>
									<xsl:if test="string-length(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093ASUBD)>0">
										<xsl:value-of select="normalize-space(ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093ASUBD)"/>
									</xsl:if>	
								</FINANCE_DEP_ADDRESSSTATE>	
								<FINANCE_DEP_ADDRESSPLACE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093ACITY"/></FINANCE_DEP_ADDRESSPLACE>
								<FINANCE_DEP_ADDRESSSTREET><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093ASTREET"/></FINANCE_DEP_ADDRESSSTREET>
								<FINANCE_DEP_KPP><xsl:value-of select="G097A"/></FINANCE_DEP_KPP>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:variable name="Cntr" select="G11"/>
					<xsl:if test="string-length($Cntr)>0">
						<TRADECOUNTRY_COUNTRYCODE><xsl:value-of select="$Cntr"/></TRADECOUNTRY_COUNTRYCODE>	
						<TRADECOUNTRY_COUNTRYNAME><xsl:value-of select="document('TranspNSIXml.xml')//Country_ITEM[ABC2=$Cntr]/Name"/></TRADECOUNTRY_COUNTRYNAME>	
					</xsl:if>
					<xsl:variable name="Trans" select="G251"/>
					<xsl:if test="string-length($Trans)>0">
						<TRANSPORT_TRANSPORTCODE><xsl:value-of select="$Trans"/></TRANSPORT_TRANSPORTCODE>
						<TRANSPORT_TRANSPORTNAME><xsl:value-of select="document('TranspNSIXml.xml')//VIDTRANS_ITEM[KOD=$Trans]/NAIM"/></TRANSPORT_TRANSPORTNAME>
					</xsl:if>	
					<xsl:if test="$Rez='' and format-number(count(//GTD44_ITEM[generate-id(.)=generate-id(key('G44',concat(./G442,./G443)))]),'#')>0">
						<STATDOC>	
							<xsl:apply-templates select="//GTD44/GTD44_ITEM[generate-id(.)=generate-id(key('G44',concat(./G442,./G443)))]"/>
							<xsl:if test="string-length($NumGtd)>0">
<!--								<STATDOC_ITEM>
									<DOC_ID>0</DOC_ID>
									<DOCUMENTDATE><xsl:value-of select="$DatGtd"/></DOCUMENTDATE>
									<DOCUMENTNAME> </DOCUMENTNAME>
									<DOCUMENTNUMBER><xsl:value-of select="$NumGtd"/></DOCUMENTNUMBER>
								</STATDOC_ITEM>-->
							</xsl:if>
						</STATDOC>
					</xsl:if>
					<xsl:if test="count(DECLDOP/DECLDOP_ITEM[string-length(G33)>0])>0">
						<STATDOP>
							<xsl:for-each select="DECLDOP/DECLDOP_ITEM[string-length(G33)>0]">
								<STATDOP_ITEM>
									<DOC_ID>0</DOC_ID>
								    <xsl:variable name="ValC" select="../../G221"/>
								    <xsl:if test="string-length($ValC)>0">
										<CURRENCYCODE><xsl:value-of select="document('TranspNSIXml.xml')//Currency_ITEM[Code=$ValC]/ABBR"/></CURRENCYCODE>
										<CURRENCYNAME><xsl:value-of select="document('TranspNSIXml.xml')//Currency_ITEM[Code=$ValC]/Name"/></CURRENCYNAME>
									</xsl:if>
									<DISCOUNT><xsl:value-of select="G46"/></DISCOUNT>
									<GOODSCODE><xsl:value-of select="G33"/></GOODSCODE>
									<GOODSDESCRIPTION><xsl:value-of select="translate(G312,'&#xA;',' ')"/></GOODSDESCRIPTION>
									<xsl:if test="string-length(G315A)>0">
										<GOODSQUANTITY><xsl:value-of select="G315A"/></GOODSQUANTITY>
										<MEASUREUNITQUALIFIERNAME><xsl:value-of select="G315"/></MEASUREUNITQUALIFIERNAME>
									</xsl:if>
									<NETWEIGHTQUANTITY><xsl:value-of select="G38"/></NETWEIGHTQUANTITY>
									<xsl:variable name="Cntr1" select="G34"/>
									<xsl:if test="string-length($Cntr1)>0">
										<ORIGINCOUNTRY><xsl:value-of select="document('TranspNSIXml.xml')//Country_ITEM[ABC2=$Cntr1]/Name"/></ORIGINCOUNTRY>
										<ORIGINCOUNTRYCODE><xsl:value-of select="$Cntr1"/></ORIGINCOUNTRYCODE>
									</xsl:if>	
									<PRICE><xsl:value-of select="G42"/></PRICE>
									<TOTALCOST><xsl:value-of select="$ValCurs*G46"/></TOTALCOST>
								</STATDOP_ITEM>
							</xsl:for-each>
						</STATDOP>
					</xsl:if>
				</STATPRIM_ITEM>
			</xsl:for-each>
		</STATPRIM>
	</xsl:template>
</xsl:stylesheet>
