<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">

<xsl:variable name="NsiPath" select="document('TranspNSIXml.xml')"/>	
<xsl:key use="concat(./G442,./G443)" name="G44" match="//GTD44_ITEM[G441=03011 or G441=04021]"/>
	<xsl:template match="//GTD44_ITEM[G441=03011 or G441=04021]">
		<STATDOC_NEW_ITEM>
			<DOC_ID>0</DOC_ID>
			<xsl:if test="string-length(G443)>0">
				<DOCUMENTDATE><xsl:value-of select="G443"/></DOCUMENTDATE>
			</xsl:if>	
			<xsl:if test="string-length(G444)>0">			
				<DOCUMENTNAME><xsl:value-of select="G444"/></DOCUMENTNAME>
			</xsl:if>
			<xsl:if test="string-length(G442)>0">			
				<DOCUMENTNUMBER><xsl:value-of select="G442"/></DOCUMENTNUMBER>
			</xsl:if>	
		</STATDOC_NEW_ITEM>
	</xsl:template>

	<xsl:output method="xml"/>
	<ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">Из ДТ (программа "ВЭД-Декларант")</ctmtd:info>
	<xsl:template match="/ALLDOCUMENTS">
		<STATPRIM_NEW>
			<xsl:for-each select="ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
			    <xsl:variable name="NumGtd" select="ND"/>
			    <xsl:variable name="DatGtd" select="G542"/>
			    <xsl:variable name="ValCurs" select="G23"/>
			    <xsl:variable name="Rez" select="G011"/>
				<STATPRIM_NEW_ITEM>
					<xsl:if test="string-length(G092A)>0">
						<BRANCHDESCRIPTION_CITY><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093ACITY"/></BRANCHDESCRIPTION_CITY>
						<xsl:variable name="BCName" select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0931AN"/>
						<xsl:if test="string-length($BCName)>0">
							<BRANCHDESCRIPTION_COUNTRYCODE><xsl:value-of select="$NsiPath//Country_ITEM[Name=$BCName]/ABC2"/></BRANCHDESCRIPTION_COUNTRYCODE>
							<BRANCHDESCRIPTION_COUNTRYNAME><xsl:value-of select="$BCName"/></BRANCHDESCRIPTION_COUNTRYNAME>
						</xsl:if>
						<BRANCHDESCRIPTION_KPP><xsl:value-of select="G097A"/></BRANCHDESCRIPTION_KPP>
						<BRANCHDESCRIPTION_NAME><xsl:value-of select="G092A"/></BRANCHDESCRIPTION_NAME>
						<BRANCHDESCRIPTION_POSTALCODE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093APOST"/></BRANCHDESCRIPTION_POSTALCODE>
						<BRANCHDESCRIPTION_STREETHOUSE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093ASTREET"/></BRANCHDESCRIPTION_STREETHOUSE>
					</xsl:if>	
					
					<CONSIGNEE_CITY><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/></CONSIGNEE_CITY>
					<xsl:variable name="CeCode" select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831"/>
					<xsl:if test="string-length($CeCode)>0">
						<CONSIGNEE_COUNTRYCODE><xsl:value-of select="$CeCode"/></CONSIGNEE_COUNTRYCODE>
						<CONSIGNEE_COUNTRYNAME><xsl:value-of select="$NsiPath//Country_ITEM[ABC2=$CeCode]/Name"/></CONSIGNEE_COUNTRYNAME>
					</xsl:if>
					<CONSIGNEE_INN><xsl:value-of select="M081"/></CONSIGNEE_INN>
					<CONSIGNEE_KPP><xsl:value-of select="G087"/></CONSIGNEE_KPP>
					<CONSIGNEE_NAME><xsl:value-of select="G082"/></CONSIGNEE_NAME>
					<CONSIGNEE_OGRN><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G080"/></CONSIGNEE_OGRN>
					<CONSIGNEE_POSTALCODE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/></CONSIGNEE_POSTALCODE>
					<CONSIGNEE_STREETHOUSE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/></CONSIGNEE_STREETHOUSE>

					<CONSIGNOR_CITY><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/></CONSIGNOR_CITY>
					<xsl:variable name="CrCode" select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0231"/>
					<xsl:if test="string-length($CrCode)>0">
						<CONSIGNOR_COUNTRYCODE><xsl:value-of select="$CrCode"/></CONSIGNOR_COUNTRYCODE>
						<CONSIGNOR_COUNTRYNAME><xsl:value-of select="$NsiPath//Country_ITEM[ABC2=$CrCode]/Name"/></CONSIGNOR_COUNTRYNAME>
					</xsl:if>
					<CONSIGNOR_INN><xsl:value-of select="M021"/></CONSIGNOR_INN>
					<CONSIGNOR_KPP><xsl:value-of select="G027"/></CONSIGNOR_KPP>
					<CONSIGNOR_NAME><xsl:value-of select="G022"/></CONSIGNOR_NAME>
					<CONSIGNOR_OGRN><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G020"/></CONSIGNOR_OGRN>
					<CONSIGNOR_POSTALCODE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/></CONSIGNOR_POSTALCODE>
					<CONSIGNOR_STREETHOUSE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/></CONSIGNOR_STREETHOUSE>
					<xsl:choose>
						<xsl:when test="G011='ИМ'">
							<CUSTOMSPROCEDURE>0</CUSTOMSPROCEDURE>	
							<DIRECTION>ИМ</DIRECTION>
						</xsl:when>
						<xsl:when test="G011='ЭК'">
							<CUSTOMSPROCEDURE>1</CUSTOMSPROCEDURE>	
							<DIRECTION>ЭК</DIRECTION>
						</xsl:when>
					</xsl:choose>			
					<FINANCE_CITY><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093CITY"/></FINANCE_CITY>
					<xsl:variable name="FCode" select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0931"/>
					<xsl:if test="string-length($FCode)>0">
						<FINANCE_COUNTRYCODE><xsl:value-of select="$FCode"/></FINANCE_COUNTRYCODE>
						<FINANCE_COUNTRYNAME><xsl:value-of select="$NsiPath//Country_ITEM[ABC2=$FCode]/Name"/></FINANCE_COUNTRYNAME>
					</xsl:if>
					<Person_INN><xsl:value-of select="M091"/></Person_INN>
					<Person_KPP><xsl:value-of select="G097"/></Person_KPP>
					<Person_OGRN><xsl:value-of select="G090"/></Person_OGRN>
					<FINANCE_NAME><xsl:value-of select="G092"/></FINANCE_NAME>
					<!--<FINANCE_OGRN><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G090"/></FINANCE_OGRN>-->
					<FINANCE_POSTALCODE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093POST"/></FINANCE_POSTALCODE>
					<FINANCE_STREETHOUSE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G093STREET"/></FINANCE_STREETHOUSE>
					<xsl:if test="string-length(G0981)>0">
						<PERSON_IDENTITYCARDCODE><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0981"/></PERSON_IDENTITYCARDCODE>
						<PERSON_IDENTITYCARDDATE><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0983"/></PERSON_IDENTITYCARDDATE>
						<PERSON_IDENTITYCARDNAME><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0981A"/></PERSON_IDENTITYCARDNAME>
						<PERSON_IDENTITYCARDNUMBER><xsl:value-of select="concat(ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G09821,' ',ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G09822)"/></PERSON_IDENTITYCARDNUMBER>		
						<PERSON_ORGANIZATIONNAME><xsl:value-of select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G09823"/></PERSON_ORGANIZATIONNAME>						
					</xsl:if>
					<PERSON_MIDDLENAME><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441MDLNAME"/></PERSON_MIDDLENAME>
					<PERSON_NAME><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441NAME"/></PERSON_NAME>
					<PERSON_PHONE><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5442"/></PERSON_PHONE>
					<PERSON_POST><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5447"/></PERSON_POST>
					<PERSON_SURNAME><xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G5441"/></PERSON_SURNAME>
					<xsl:choose>
						<xsl:when test="G011='ИМ'">
							<RECEIVER_COUNTRYCODE>1</RECEIVER_COUNTRYCODE>	
							<SENDER_COUNTRYCODE>0</SENDER_COUNTRYCODE>	
							<SENDER_COUNTRYNAME>РОССИЯ</SENDER_COUNTRYNAME>
						</xsl:when>
						<xsl:when test="G011='ЭК'">
							<xsl:choose>
								<xsl:when test="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831='RU'">
									<RECEIVER_COUNTRYCODE>0</RECEIVER_COUNTRYCODE>	
								</xsl:when>
								<xsl:when test="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831='BY'">
									<RECEIVER_COUNTRYCODE>1</RECEIVER_COUNTRYCODE>	
								</xsl:when>
								<xsl:when test="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831='KZ'">
									<RECEIVER_COUNTRYCODE>2</RECEIVER_COUNTRYCODE>	
								</xsl:when>
								<xsl:when test="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831='AM'">
									<RECEIVER_COUNTRYCODE>3</RECEIVER_COUNTRYCODE>	
								</xsl:when>
								<xsl:when test="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0831='KG'">
									<RECEIVER_COUNTRYCODE>4</RECEIVER_COUNTRYCODE>	
								</xsl:when>
							</xsl:choose>	
							<xsl:variable name="SendCode" select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/G0231"/>
							<xsl:choose>
								<xsl:when test="$SendCode='RU'">
									<SENDER_COUNTRYCODE>0</SENDER_COUNTRYCODE>	
								</xsl:when>
								<xsl:when test="$SendCode='BY'">
									<SENDER_COUNTRYCODE>1</SENDER_COUNTRYCODE>	
								</xsl:when>
								<xsl:when test="$SendCode='KZ'">
									<SENDER_COUNTRYCODE>2</SENDER_COUNTRYCODE>	
								</xsl:when>
								<xsl:when test="$SendCode='AM'">
									<SENDER_COUNTRYCODE>3</SENDER_COUNTRYCODE>	
								</xsl:when>
								<xsl:when test="$SendCode='KG'">
									<SENDER_COUNTRYCODE>4</SENDER_COUNTRYCODE>	
								</xsl:when>	
							</xsl:choose>	
							<SENDER_COUNTRYNAME><xsl:value-of select="$NsiPath//Country_ITEM[ABC2=$SendCode]/Name"/></SENDER_COUNTRYNAME>
						</xsl:when>
					</xsl:choose>	
					<xsl:variable name="Cntr" select="G11"/>
					<xsl:if test="string-length($Cntr)>0">
						<TRADECOUNTRY_COUNTRYCODE><xsl:value-of select="$Cntr"/></TRADECOUNTRY_COUNTRYCODE>	
						<TRADECOUNTRY_COUNTRYNAME><xsl:value-of select="$NsiPath//Country_ITEM[ABC2=$Cntr]/Name"/></TRADECOUNTRY_COUNTRYNAME>	
					</xsl:if>
					<xsl:variable name="Trans" select="G251"/>
					<xsl:if test="string-length($Trans)>0">
						<TRANSPORT_TRANSPORTNAME><xsl:value-of select="$NsiPath//VIDTRANS_ITEM[KOD=$Trans]/NAIM"/></TRANSPORT_TRANSPORTNAME>
						<TRANSPORTMODECODE><xsl:value-of select="$Trans"/></TRANSPORTMODECODE>
					</xsl:if>	
					<xsl:if test="$Rez='ЭК' and format-number(count(//GTD44_ITEM[generate-id(.)=generate-id(key('G44',concat(./G442,./G443)))]),'#')>0">
						<STATDOC_NEW>	
							<xsl:apply-templates select="//GTD44/GTD44_ITEM[generate-id(.)=generate-id(key('G44',concat(./G442,./G443)))]"/>
						</STATDOC_NEW>
					</xsl:if>
					<xsl:variable name="ValC" select="G221"/>
					<xsl:if test="string-length($ValC)>0">
						<CURRENCYCODE><xsl:value-of select="$NsiPath//Currency_ITEM[Code=$ValC]/ABBR"/></CURRENCYCODE>
						<CURRENCYNAME><xsl:value-of select="$NsiPath//Currency_ITEM[Code=$ValC]/Name"/></CURRENCYNAME>
					</xsl:if>
					<TOTALDISCOUNT><xsl:value-of select="sum(DECLDOP/DECLDOP_ITEM[string-length(G33)>0 and string-length(G46)>0]/G46)"/></TOTALDISCOUNT>
					<TOTALNETWEIGHTQUANTITY><xsl:value-of select="sum(DECLDOP/DECLDOP_ITEM[string-length(G33)>0 and string-length(G38)>0]/G38)"/></TOTALNETWEIGHTQUANTITY>
					<TOTALPRICE><xsl:value-of select="sum(DECLDOP/DECLDOP_ITEM[string-length(G33)>0 and string-length(G42)>0]/G42)"/></TOTALPRICE>
					<TOTALSTATCOST><xsl:value-of select="sum(DECLDOP/DECLDOP_ITEM[string-length(G33)>0 and string-length(G45)>0]/G45)"/></TOTALSTATCOST>
					<xsl:if test="count(DECLDOP/DECLDOP_ITEM[string-length(G33)>0])>0">
						<STATDOP_NEW>
							<xsl:for-each select="DECLDOP/DECLDOP_ITEM[string-length(G33)>0]">
								<STATDOP_NEW_ITEM>
									<DOC_ID>0</DOC_ID>
									<DISCOUNT>
										<xsl:if test="string-length(G46)>0">
											<xsl:value-of select="format-number(G46,'0.##')"/>
										</xsl:if>
									</DISCOUNT>
									<GOODSCODE><xsl:value-of select="G33"/></GOODSCODE>
									<GOODSDESCRIPTION><xsl:value-of select="translate(G312,'&#xA;',' ')"/></GOODSDESCRIPTION>
									<GOODSNUMERIC><xsl:value-of select="G32"/></GOODSNUMERIC>
									<xsl:if test="string-length(G315A)>0">
										<GOODSQUANTITY><xsl:value-of select="G315A"/></GOODSQUANTITY>
										<MEASUREUNITQUALIFIERNAME><xsl:value-of select="G315"/></MEASUREUNITQUALIFIERNAME>
										<MEASUREUNITQUALIFIERCODE><xsl:value-of select="G41A"/></MEASUREUNITQUALIFIERCODE>										
									</xsl:if>
									<NETWEIGHTQUANTITY><xsl:value-of select="format-number(G38,'0.###')"/></NETWEIGHTQUANTITY>
									<NPP><xsl:value-of select="position()"/></NPP>
									<xsl:variable name="Cntr1" select="G34"/>
									<xsl:if test="string-length($Cntr1)>0">
										<ORIGINCOUNTRY><xsl:value-of select="$NsiPath//Country_ITEM[ABC2=$Cntr1]/Name"/></ORIGINCOUNTRY>
										<ORIGINCOUNTRYCODE><xsl:value-of select="$Cntr1"/></ORIGINCOUNTRYCODE>
									</xsl:if>
									<GTDID><xsl:value-of select="ND"/></GTDID>	
									<PRICE><xsl:value-of select="format-number(G42,'0.##')"/></PRICE>
									<TOTALCOST>
										<xsl:if test="string-length(G45)>0">
											<xsl:value-of select="format-number(G45,'0.##')"/>
										</xsl:if>	
									</TOTALCOST>
								</STATDOP_NEW_ITEM>	
							</xsl:for-each>
						</STATDOP_NEW>
					</xsl:if>
				</STATPRIM_NEW_ITEM>
			</xsl:for-each>
		</STATPRIM_NEW>
	</xsl:template>
</xsl:stylesheet>
