<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
	<xsl:output method="xml"/>
	<ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info>
	<xsl:key use="./." name="GoodDescr" match="//G312"/>
	<xsl:template match="G312">
		<xsl:value-of select="."/>
		<xsl:if  test="position()!=last()">
			<xsl:text> </xsl:text>
		</xsl:if>
	</xsl:template>				
	<xsl:key use="./CONTAINER" name="GoodCont" match="//GTDCONT_ITEM"/>
	<xsl:template match="GTDCONT_ITEM">
		<xsl:value-of select="CONTAINER"/>
		<xsl:if  test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	</xsl:template>		
	<xsl:key use="concat(./G441,./G442,substring(./G443,1,10))" name="GoodDoc" match="//GTD44_ITEM"/>
	<xsl:template match="GTD44_ITEM">
		<xsl:param name="Doc"/>
		<xsl:if test="concat(./G441,./G442,substring(./G443,1,10))!=$Doc">
			<xsl:if  test="string-length(G444)>0">	
				<xsl:value-of select="concat(normalize-space(G444),':')"/>
			</xsl:if>	
			<xsl:value-of select="normalize-space(G442)"/>
			<xsl:if  test="string-length(G443)>0">	
				<xsl:value-of select="concat('  ',substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/>
			</xsl:if>	
			<xsl:if  test="position()!=last()">
				<xsl:text>;</xsl:text>
			</xsl:if>
		</xsl:if>
	</xsl:template>	
	<xsl:template name="Firms">
		<xsl:param name="NodeName"/>
		<xsl:variable name="FirmNam">
			<xsl:for-each select="//DECLPRIM/DECLPRIM_ITEM">
				<xsl:value-of select="*[name()=concat($NodeName,'2')]"/>
				<xsl:for-each select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM">
					<xsl:if  test="string-length(*[name()=concat($NodeName,'31N')])>0">
						<xsl:value-of select="concat(',',*[name()=concat($NodeName,'31N')])"/>
					</xsl:if>
				</xsl:for-each>
				<xsl:for-each select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM">
					<xsl:if  test="string-length(*[name()=concat($NodeName,'3POST')])>0">
						<xsl:value-of select="concat(', ',*[name()=concat($NodeName,'3POST')])"/>
					</xsl:if>
					<xsl:if  test="string-length(*[name()=concat($NodeName,'3SUBD')])>0">
						<xsl:value-of select="concat(', ',*[name()=concat($NodeName,'3SUBD')])"/>
					</xsl:if>
					<xsl:if  test="string-length(*[name()=concat($NodeName,'3CITY')])>0">
						<xsl:value-of select="concat(', ',*[name()=concat($NodeName,'3CITY')])"/>
					</xsl:if>
					<xsl:if  test="string-length(*[name()=concat($NodeName,'3STREET')])>0">
						<xsl:value-of select="concat(', ',*[name()=concat($NodeName,'3STREET')])"/>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:variable>
		<xsl:value-of select="normalize-space($FirmNam)"/>
	</xsl:template>
	<xsl:template match="/ALLDOCUMENTS">
		<TN>
			<xsl:for-each select="ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
				<xsl:variable name="TN_num" select="//GTD44_ITEM[G441='02016'][1]/G442"/>
				<xsl:variable name="TN_dat" select="substring(//GTD44_ITEM[G441='02016' and G442=$TN_num][1]/G443,1,10)"/>
				<TN_ITEM>
					<CAR_INFO></CAR_INFO>
					<CARGO>
						<xsl:apply-templates select="//G312[generate-id(.)=generate-id(key('GoodDescr',./.))]"/>
					</CARGO>
					<xsl:variable name="PkQ" select="sum(DECLDOP/DECLDOP_ITEM[string-length(G311)>0]/G311)"/>
					<CARGO_QUANTITY_LOAD>
						<xsl:if test="number($PkQ)>0">
							<xsl:value-of select="concat(': ',$PkQ)"/>
						</xsl:if>
					</CARGO_QUANTITY_LOAD>
					<CARGO_QUANTITY_UNLOAD/>
					<CARGO_STATE_LOAD/>
					<CARGO_STATE_UNLOAD/>
					<xsl:variable name="GwQ" select="round(sum(DECLDOP/DECLDOP_ITEM[string-length(G35)>0]/G35) *1000) div 1000"/>
					<CARGO_WEIGHT_LOAD>
						<xsl:if test="number($GwQ)>0">
							<xsl:value-of select="concat(': ',$GwQ,' ')"/>
						</xsl:if>
					</CARGO_WEIGHT_LOAD>
					<CARGO_WEIGHT_UNLOAD/>
					<CARRIER_CARGO_STATE_LOAD/>
					<CARRIER_CARGO_STATE_UNLOAD/>
					<CARRIER_DOCS/>
					<CARRIER_DOCS2/>
					<CARRIER_INFO/>
					<CARRIER_LINK/>
					<CARRIER_PERSON/>
					<CARRIER_RESPONSIBLE/>
					<CARS_REGNUM>
						<xsl:if test="string-length(GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS_PRIMARY)=0]/NTRANS)>0">
							<xsl:value-of select="concat(': ',GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS_PRIMARY)=0]/NTRANS)"/>
						</xsl:if>
					</CARS_REGNUM>
					<xsl:variable name="PricN">
						<xsl:if test="count(GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS_PRIMARY)>0]/NTRANS)>0">
							<xsl:text>: </xsl:text>
							<xsl:for-each select="GTDDKD/GTDDKD_ITEM[NGR='18' and string-length(NTRANS_PRIMARY)>0]">
								<xsl:value-of select="NTRANS"/>
								<xsl:if  test="position()!=last()">, </xsl:if>
							</xsl:for-each>
						</xsl:if>
					</xsl:variable>	
					<CARS_REGNUM2><xsl:value-of select="normalize-space($PricN)"/></CARS_REGNUM2>
					<xsl:variable name="Container">
						<xsl:if test="count(//GTDCONT_ITEM[generate-id(.)=generate-id(key('GoodCont',./CONTAINER))][string-length(CONTAINER)>0])>0">
							<xsl:text>: </xsl:text>
							<xsl:apply-templates select="//GTDCONT_ITEM[generate-id(.)=generate-id(key('GoodCont',./CONTAINER))][string-length(CONTAINER)>0]">
								<xsl:sort select="./CONTAINER"/>
							</xsl:apply-templates>
						</xsl:if>
					</xsl:variable>	
					<CARS_TEH_INFO><xsl:value-of select="normalize-space($Container)"/></CARS_TEH_INFO>
					<CARS_TEH_INFO2/>
					<CERTIFICAT>
						<xsl:apply-templates select="//GTD44_ITEM[generate-id(.)=generate-id(key('GoodDoc',concat(./G441,./G442,substring(./G443,1,10))))]">
							<xsl:sort select="concat(./G441,./G442,substring(./G443,1,10))"/>
							<xsl:with-param name="Doc" select="concat('02016',$TN_num,$TN_dat)"/>
						</xsl:apply-templates>
					</CERTIFICAT>
					<CHARTERER_DATE/>
					<CHARTERER_INFO/>
					<CHARTERER_PERSON/>
					<CHARTERER_RESPONSIBLE/>
					<CONSIGNEE_INFO>
						<xsl:call-template name="Firms">
							<xsl:with-param name="NodeName" select="'G08'"/>
						</xsl:call-template>
					</CONSIGNEE_INFO>
					<CONSIGNEE_PERSON/>
					<CONSIGNEE_RESPONSIBLE/>
					<CONSIGNOR_INFO>
						<xsl:call-template name="Firms">
							<xsl:with-param name="NodeName" select="'G02'"/>
						</xsl:call-template>
					</CONSIGNOR_INFO>
					<CONSIGNOR_PERSON/>
					<CONSIGNOR_RESPONSIBLE/>
					<COPY/>
					<COST/>
					<COST_TRANSPORTATION/>
					<DANGEROUS/>
					<DANGEROUS_ROUT/>
					<DATE_ENDUSETC/>
					<DATE_LIMIT/>
					<DATE_LOAD/>
					<DATE_LOAD_FACT/>
					<DATE_LOAD_FACT_2/>
					<DATE_PROVIDING/>
					<DATE_REDIRECT/>
					<DATE_START/>
					<DATE_UNLOAD/>
					<DATE_UNLOAD_FACT/>
					<DATE_UNLOAD_FACT_2/>
					<DOC_DATE><xsl:value-of select="$TN_dat"/></DOC_DATE>
					<DOC_INFO/>
					<DOC_INFO_DATE/>
					<DOC_INFO2/>
					<DOC_N/>
					<DOC_NUMBER><xsl:value-of select="$TN_num"/></DOC_NUMBER>
					<DOCS/>
					<FINE_DOWNTIME/>
					<FINE_FAILURE/>
					<FIORANGE/>
					<FREIGHTER_DATE/>
					<FREIGHTER_INFO/>
					<FREIGHTER_PERSON/>
					<FREIGHTER_RESPONSIBLE/>
					<HOW_PAY/>
					<LOAD_INFO/>
					<LOAD_WORK/>
					<NEW_CONSIGNEE/>
					<NEW_LOAD/>
					<PAY_TRANSPORTATION/>
					<PAYANDDATE/>
					<PAYER_NAME/>
					<PLACES>
						<xsl:if test="number($PkQ)>0">
							<xsl:value-of select="concat(': ',$PkQ)"/>
						</xsl:if></PLACES>
					<POST_LOAD/>
					<POST_UNLOAD/>
					<PROVIDINGPLACEDATETC/>
					<RECOMMENDATIONS/>
					<REDIRECT_INFO/>
					<REQUIREMENTS/>
					<REST_DRIVER/>
					<ROUTE/>
					<SIGNATURE_CHARTERER/>
					<SIGNATURE_CONSIGNEE/>
					<SIGNATURE_CONSIGNEE_DATE/>
					<SIGNATURE_CONSIGNOR/>
					<SIGNATURE_CONSIGNOR_DATE/>
					<SIGNATURE_DRIVER/>
					<SIGNATURE_FREIGHTER/>
					<SIGNATURE_LOAD/>
					<SIGNATURE_LOAD_DRIVER/>
					<SIGNATURE_PROVIDING/>
					<SIGNATURE_UNLOAD/>
					<SIGNATURE_UNLOAD_DRIVER/>
					<TERMS_MOVE/>
					<TERMS_TC/>
					<TERMS_UNLOAD/>
					<TIME_USETC/>
					<TOLL_CLEAN_CAR/>
					<TOLL_DANGEROUS/>
					<TOLL_ROAD/>
					<UNLOAD_INFO/>
					<WEIGHT>
						<xsl:if test="number($GwQ)>0">
							<xsl:value-of select="concat(': ',$GwQ,' ')"/>
						</xsl:if>
					</WEIGHT>
					<WEIGHT_CARGO/>
					<TN_NOTE>
						<TN_NOTE_ITEM>
							<DOC_ID/>
							<ID/>
							<NOTE_DESCRIPTION/>
							<NOTE_FINE/>
							<NOTE_SIGNATURE/>
						</TN_NOTE_ITEM>
					</TN_NOTE>
				</TN_ITEM>		
			</xsl:for-each>
		</TN>
	</xsl:template>
</xsl:stylesheet>
