<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info>
 <xsl:template match="/ALLDOCUMENTS">
  <xsl:element name="INTERNAL_AWB">
   <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM">
    <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM" select="current()"/>
    <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
     <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM" select="current()"/>
     <xsl:element name="INTERNAL_AWB_ITEM">     
      <xsl:element name="EXP_NAME">
       <xsl:value-of select="G022"/>
      </xsl:element>      
      <xsl:element name="IMP_NAME">
       <xsl:value-of select="G082"/>
      </xsl:element>      
      <xsl:element name="PAYER_NAME">
       <xsl:value-of select="G092"/>
      </xsl:element>      
      <xsl:element name="INTERNAL_AWB_CARGO1">
       <xsl:for-each select="DECLDOP/DECLDOP_ITEM">        
        <xsl:element name="INTERNAL_AWB_CARGO1_ITEM">         
         <xsl:element name="CARGO">
          <xsl:value-of select="G312"/>
         </xsl:element>         
         <xsl:element name="PACKAGE">
          <xsl:value-of select="G313"/>
         </xsl:element>         
         <xsl:element name="PLACES">
          <xsl:value-of select="G311"/>
         </xsl:element>
         <xsl:element name="SUM">
          <xsl:value-of select="G42"/>
         </xsl:element>
         <xsl:element name="WEIGHT">
          <xsl:value-of select="G35  div 1000"/>
         </xsl:element>
         <xsl:element name="VOLUME">
          <xsl:value-of select="G315C"/>
         </xsl:element>
         <xsl:element name="UNIT">
          <xsl:value-of select="G315"/>
         </xsl:element>
         <xsl:element name="QUANTITY">
          <xsl:value-of select="G315A"/>
         </xsl:element>
         <xsl:element name="WEIGHT">
          <xsl:value-of select="format-number(G35 div 1000,'#.000')"/>
         </xsl:element>

        </xsl:element>
       </xsl:for-each>
      </xsl:element>  
      <xsl:element name="INTERNAL_AWB_CARGO2">
       <xsl:for-each select="DECLDOP/DECLDOP_ITEM">
        <xsl:element name="INTERNAL_AWB_CARGO2_ITEM">              
         <xsl:element name="CARGO">
          <xsl:value-of select="G312"/>
         </xsl:element>
         <xsl:element name="DOCUM">
          <xsl:for-each select="GTD44/GTD44_ITEM">
           <xsl:call-template name="ApplyDoc">
            <xsl:with-param name="Code" select="G441"/>
           </xsl:call-template>                
          </xsl:for-each>         
         </xsl:element>
         <xsl:element name="PACKAGE">
          <xsl:value-of select="G313"/>
         </xsl:element>         
         <xsl:element name="PLACES">
          <xsl:value-of select="G311"/>
         </xsl:element> 
         <xsl:element name="WEIGHT">
          <xsl:value-of select="format-number(G35 div 1000,'#.000')"/>
         </xsl:element>
        
        </xsl:element>        
       </xsl:for-each>
      </xsl:element>     
     </xsl:element>
    </xsl:for-each>
   </xsl:for-each>
  </xsl:element>
 </xsl:template> 
 <xsl:template name="ApplyDoc">
  <xsl:param name="Code"/>
  <xsl:if test="G442!='' and ($Code=02024 or $Code=02025 or $Code=04021 or $Code=06041 or $Code=06042 or $Code=07021 or $Code=07022 or $Code=07023)">
   <xsl:value-of select="G442"/>
   <xsl:choose>
     <xsl:when test="$Code=02024">-</xsl:when>     
    <xsl:when test="$Code=02025">- </xsl:when>      
    <xsl:when test="$Code=04021">--</xsl:when>      
    <xsl:when test="$Code=06041">--. .</xsl:when>
    <xsl:when test="$Code=06042">-. -. .</xsl:when>     
    <xsl:when test="$Code=07021">-. . -1</xsl:when>
    <xsl:when test="$Code=07022">-. . </xsl:when>
    <xsl:when test="$Code=07023">-. . .</xsl:when>
   </xsl:choose>
   <xsl:if test="position()!=last()">
    <xsl:text>, </xsl:text>
   </xsl:if>
  </xsl:if>
 </xsl:template>
</xsl:stylesheet>

