<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
		<xsl:apply-templates select="//STATPRIM"/>
	</xsl:template>
	<xsl:template match="STATPRIM">
		<xsl:for-each select="STATPRIM_ITEM">
			<GoodsTransfer xmlns="http://tempuri.org/GoodsTransfer.xsd">
				<NSF><xsl:value-of select="NSF"/></NSF>
				<A><xsl:value-of select="A"/></A>
				<B><xsl:value-of select="B"/></B>
				<C><xsl:value-of select="C"/></C>
				<D><xsl:value-of select="substring(D,1,10)"/></D>
				<E><xsl:value-of select="substring(E,1,10)"/></E>
				<F><xsl:value-of select="F"/></F>
				<G><xsl:value-of select="G"/></G>
				<Sender>
					<xsl:choose>
						<xsl:when test="string-length(SENDER_FL_LASTNAME)>0">
							<FL>
								<FL_LastName><xsl:value-of select="SENDER_FL_LASTNAME"/></FL_LastName>
								<FL_FirstName><xsl:value-of select="SENDER_FL_FIRSTNAME"/></FL_FirstName>
								<FL_SurName><xsl:value-of select="SENDER_FL_SURNAME"/></FL_SurName>
								<FL_Address><xsl:value-of select="SENDER_FL_ADDRESS"/></FL_Address>
							</FL>
						</xsl:when>
						<xsl:otherwise>
							<UL>
								<UL_Name><xsl:value-of select="SENDER_UL_NAME"/></UL_Name>
								<UL_Address><xsl:value-of select="SENDER_UL_ADDRESS"/></UL_Address>
							</UL>
						</xsl:otherwise>
					</xsl:choose>
					<Features>
						<xsl:choose>
							<xsl:when test="string-length(SENDER_FL_LASTNAME)>0">
								<xsl:choose>
									<xsl:when test="SENDER_COUNTRYCODE='RU'">
										<RFOrganizationFeatures>
											<OGRN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_FL_OGRN"/></OGRN>
											<INN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_FL_INN"/></INN>
											<KPP xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_FL_KPP"/></KPP>
										</RFOrganizationFeatures>
									</xsl:when>
									<xsl:when test="SENDER_COUNTRYCODE='BY'">
										<RBOrganizationFeatures>
											<UNP xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_FL_UNP"/></UNP>
										</RBOrganizationFeatures>
									</xsl:when>
									<xsl:when test="SENDER_COUNTRYCODE='KZ'">
										<RKOrganizationFeatures>
											<BIN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_FL_BIN"/></BIN>
											<IIN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_FL_IIN"/></IIN>
										</RKOrganizationFeatures>
									</xsl:when>	
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="SENDER_COUNTRYCODE='RU'">
										<RFOrganizationFeatures>
											<OGRN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_UL_OGRN"/></OGRN>
											<INN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_UL_INN"/></INN>
											<KPP xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_UL_KPP"/></KPP>
										</RFOrganizationFeatures>
									</xsl:when>
									<xsl:when test="SENDER_COUNTRYCODE='BY'">
										<RBOrganizationFeatures>
											<UNP xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_UL_UNP"/></UNP>
										</RBOrganizationFeatures>
									</xsl:when>
									<xsl:when test="SENDER_COUNTRYCODE='KZ'">
										<RKOrganizationFeatures>
											<BIN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_UL_BIN"/></BIN>
											<IIN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="SENDER_UL_IIN"/></IIN>
										</RKOrganizationFeatures>
									</xsl:when>	
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</Features>
				</Sender>
				<Receiver>
					<xsl:choose>
						<xsl:when test="string-length(RECEIVER_FL_LASTNAME)>0">
							<FL>
								<FL_LastName><xsl:value-of select="RECEIVER_FL_LASTNAME"/></FL_LastName>
								<FL_FirstName><xsl:value-of select="RECEIVER_FL_FIRSTNAME"/></FL_FirstName>
								<FL_SurName><xsl:value-of select="RECEIVER_FL_SURNAME"/></FL_SurName>
								<FL_Address><xsl:value-of select="RECEIVER_FL_ADDRESS"/></FL_Address>
							</FL>
						</xsl:when>
						<xsl:otherwise>
							<UL>
								<UL_Name><xsl:value-of select="RECEIVER_UL_NAME"/></UL_Name>
								<UL_Address><xsl:value-of select="RECEIVER_UL_ADDRESS"/></UL_Address>
							</UL>
						</xsl:otherwise>
					</xsl:choose>
					<Features>
						<xsl:choose>
							<xsl:when test="string-length(RECEIVER_FL_LASTNAME)>0">
								<xsl:choose>
									<xsl:when test="RECEIVER_COUNTRYCODE='RU'">
										<RFOrganizationFeatures>
											<OGRN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_FL_OGRN"/></OGRN>
											<INN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_FL_INN"/></INN>
											<KPP xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_FL_KPP"/></KPP>
										</RFOrganizationFeatures>
									</xsl:when>
									<xsl:when test="RECEIVER_COUNTRYCODE='BY'">
										<RBOrganizationFeatures>
											<UNP xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_FL_UNP"/></UNP>
										</RBOrganizationFeatures>
									</xsl:when>
									<xsl:when test="RECEIVER_COUNTRYCODE='KZ'">
										<RKOrganizationFeatures>
											<BIN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_FL_BIN"/></BIN>
											<IIN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_FL_IIN"/></IIN>
										</RKOrganizationFeatures>
									</xsl:when>	
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="RECEIVER_COUNTRYCODE='RU'">
										<RFOrganizationFeatures>
											<OGRN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_UL_OGRN"/></OGRN>
											<INN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_UL_INN"/></INN>
											<KPP xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_UL_KPP"/></KPP>
										</RFOrganizationFeatures>
									</xsl:when>
									<xsl:when test="RECEIVER_COUNTRYCODE='BY'">
										<RBOrganizationFeatures>
											<UNP xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_UL_UNP"/></UNP>
										</RBOrganizationFeatures>
									</xsl:when>
									<xsl:when test="RECEIVER_COUNTRYCODE='KZ'">
										<RKOrganizationFeatures>
											<BIN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_UL_BIN"/></BIN>
											<IIN xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="RECEIVER_UL_IIN"/></IIN>
										</RKOrganizationFeatures>
									</xsl:when>	
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>	
					</Features>
				</Receiver>
				<Finance>
					<xsl:choose>
						<xsl:when test="string-length(FINANCE_ORG_NAME)>0 and string-length(FINANCE_DEP_NAME)=0">
							<Org>
								<Org_Name><xsl:value-of select="FINANCE_ORG_NAME"/></Org_Name>
								<Org_OPF><xsl:value-of select="FINANCE_ORG_OPF"/></Org_OPF>
								<Org_Address>
									<AddressCountry><xsl:value-of select="FINANCE_ORG_ADDRESSCOUNTRY"/></AddressCountry>
									<AddressState><xsl:value-of select="FINANCE_ORG_ADDRESSSTATE"/></AddressState>
									<AddressPlace><xsl:value-of select="FINANCE_ORG_ADDRESSPLACE"/></AddressPlace>
									<AddressStreet><xsl:value-of select="FINANCE_ORG_ADDRESSSTREET"/></AddressStreet>
								</Org_Address>	
								<INN><xsl:value-of select="FINANCE_ORG_INN"/></INN>
								<KPP><xsl:value-of select="FINANCE_ORG_KPP"/></KPP>
								<OGRN><xsl:value-of select="FINANCE_ORG_OGRN"/></OGRN>
							</Org>
						</xsl:when>
						<xsl:when test="string-length(FINANCE_ORG_NAME)>0 and string-length(FINANCE_DEP_NAME)>0">
							<Dep>
								<Org_Name><xsl:value-of select="FINANCE_ORG_NAME"/></Org_Name>
								<Org_OPF><xsl:value-of select="FINANCE_ORG_OPF"/></Org_OPF>
								<Org_Address>
									<AddressCountry><xsl:value-of select="FINANCE_ORG_ADDRESSCOUNTRY"/></AddressCountry>
									<AddressState><xsl:value-of select="FINANCE_ORG_ADDRESSSTATE"/></AddressState>
									<AddressPlace><xsl:value-of select="FINANCE_ORG_ADDRESSPLACE"/></AddressPlace>
									<AddressStreet><xsl:value-of select="FINANCE_ORG_ADDRESSSTREET"/></AddressStreet>
								</Org_Address>	
								<Dep_Name><xsl:value-of select="FINANCE_DEP_NAME"/></Dep_Name>
								<Dep_Address>
									<AddressCountry><xsl:value-of select="FINANCE_DEP_ADDRESSCOUNTRY"/></AddressCountry>
									<AddressState><xsl:value-of select="FINANCE_DEP_ADDRESSSTATE"/></AddressState>
									<AddressPlace><xsl:value-of select="FINANCE_DEP_ADDRESSPLACE"/></AddressPlace>
									<AddressStreet><xsl:value-of select="FINANCE_DEP_ADDRESSSTREET"/></AddressStreet>
								</Dep_Address>	
								<INN><xsl:value-of select="FINANCE_DEP_INN"/></INN>
								<KPP><xsl:value-of select="FINANCE_DEP_KPP"/></KPP>
								<OGRN><xsl:value-of select="FINANCE_DEP_OGRN"/></OGRN>
							</Dep>
						</xsl:when>
						<xsl:when test="string-length(FINANCE_IND_LASTNAME)>0">
							<Ind>
								<Ind_LastName><xsl:value-of select="FINANCE_IND_LASTNAME"/></Ind_LastName>
								<Ind_FirstName><xsl:value-of select="FINANCE_IND_FIRSTNAME"/></Ind_FirstName>
								<Ind_SurName><xsl:value-of select="FINANCE_IND_SURNAME"/></Ind_SurName>
								<Ind_Address>
									<AddressCountry><xsl:value-of select="FINANCE_IND_ADDRESSCOUNTRY"/></AddressCountry>
									<AddressState><xsl:value-of select="FINANCE_IND_ADDRESSSTATE"/></AddressState>
									<AddressPlace><xsl:value-of select="FINANCE_IND_ADDRESSPLACE"/></AddressPlace>
									<AddressStreet><xsl:value-of select="FINANCE_IND_ADDRESSSTREET"/></AddressStreet>
								</Ind_Address>	
								<INN><xsl:value-of select="FINANCE_IND_INN"/></INN>
								<KPP><xsl:value-of select="FINANCE_IND_KPP"/></KPP>
								<OGRNIP><xsl:value-of select="FINANCE_IND_OGRNIP"/></OGRNIP>
							</Ind>
						</xsl:when>						
						<xsl:when test="string-length(FINANCE_FL_LASTNAME)>0">
							<FL>
								<FL_LastName><xsl:value-of select="FINANCE_FL_LASTNAME"/></FL_LastName>
								<FL_FirstName><xsl:value-of select="FINANCE_FL_FIRSTNAME"/></FL_FirstName>
								<FL_SurName><xsl:value-of select="FINANCE_FL_SURNAME"/></FL_SurName>
								<FL_Address>
									<AddressCountry><xsl:value-of select="FINANCE_FL_ADDRESSCOUNTRY"/></AddressCountry>
									<AddressState><xsl:value-of select="FINANCE_FL_ADDRESSSTATE"/></AddressState>
									<AddressPlace><xsl:value-of select="FINANCE_FL_ADDRESSPLACE"/></AddressPlace>
									<AddressStreet><xsl:value-of select="FINANCE_FL_ADDRESSSTREET"/></AddressStreet>
								</FL_Address>	
								<FL_Passport>
									<IdentityCardCode xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="FINANCE_FL_IDENTITYCARDCODE"/></IdentityCardCode>
									<IdentityCardName xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="FINANCE_FL_IDENTITYCARDNAME"/></IdentityCardName>
									<IdentityCardNumber xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="FINANCE_FL_IDENTITYCARDNUMBER"/></IdentityCardNumber>
									<IdentityCardDate xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="substring(FINANCE_FL_IDENTITYCARDDATE,1,10)"/></IdentityCardDate>
								</FL_Passport>								
								<INN><xsl:value-of select="FINANCE_FL_INN"/></INN>
								<KPP><xsl:value-of select="FINANCE_FL_KPP"/></KPP>
							</FL>
						</xsl:when>												
					</xsl:choose>
					<Finance_Any/>
				</Finance>
				<Direction><xsl:value-of select="DIRECTION"/></Direction>
				<TradeCountry>
					<CountryCode><xsl:value-of select="TRADECOUNTRY_COUNTRYCODE"/></CountryCode>
					<CountryName><xsl:value-of select="TRADECOUNTRY_COUNTRYNAME"/></CountryName>
				</TradeCountry>
				<SenderCountry>
					<CountryCode><xsl:value-of select="SENDER_COUNTRYCODE"/></CountryCode>
					<CountryName><xsl:value-of select="SENDER_COUNTRYNAME"/></CountryName>
				</SenderCountry>
				<ReceiverCountry>
					<CountryCode><xsl:value-of select="RECEIVER_COUNTRYCODE"/></CountryCode>
					<CountryName><xsl:value-of select="RECEIVER_COUNTRYNAME"/></CountryName>
				</ReceiverCountry>
				<Transport>
					<TransportCode><xsl:value-of select="TRANSPORT_TRANSPORTCODE"/></TransportCode>
					<TransportName><xsl:value-of select="TRANSPORT_TRANSPORTNAME"/></TransportName>
				</Transport>
				<xsl:for-each select="//STATDOC_ITEM">
					<Documents>
						<PrDocumentName xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="DOCUMENTNAME"/></PrDocumentName>
						<PrDocumentNumber xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="DOCUMENTNUMBER"/></PrDocumentNumber>
						<PrDocumentDate xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="substring(DOCUMENTDATE,1,10)"/></PrDocumentDate>
						<DocumentsIDCount><xsl:value-of select="position()"/></DocumentsIDCount>
					</Documents>
				</xsl:for-each>
				<xsl:for-each select="//STATDOP_ITEM">
					<Goods>
						<GoodsIDCount><xsl:value-of select="position()"/></GoodsIDCount>
						<GoodsCode><xsl:value-of select="GOODSCODE"/></GoodsCode>
						<GoodsDescription><xsl:value-of select="GOODSDESCRIPTION"/></GoodsDescription>
						<Currency>
							<CurrencyCode><xsl:value-of select="CURRENCYCODE"/></CurrencyCode>
							<CurrencyName><xsl:value-of select="CURRENCYNAME"/></CurrencyName>
						</Currency>
						<GoodsPrice><xsl:value-of select="PRICE"/></GoodsPrice>
						<GoodsUSAPrice><xsl:value-of select="DISCOUNT"/></GoodsUSAPrice>
						<GoodsRURPrice><xsl:value-of select="TOTALCOST"/></GoodsRURPrice>
						<GoodsCountry>
							<CountryCode><xsl:value-of select="ORIGINCOUNTRYCODE"/></CountryCode>
							<CountryName><xsl:value-of select="ORIGINCOUNTRY"/></CountryName>
						</GoodsCountry>
						<GoodsWeight><xsl:value-of select="NETWEIGHTQUANTITY"/></GoodsWeight>
						<GoodsUnits>
							<GoodsQuantity xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="GOODSQUANTITY"/></GoodsQuantity>
							<MeasureUnitQualifierName xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="MEASUREUNITQUALIFIERNAME"/></MeasureUnitQualifierName>
							<xsl:variable name="UnitN" select="MEASUREUNITQUALIFIERNAME"/>
							<MeasureUnitQualifierCode xmlns="urn:customs.ru:CommonAggregateTypes:5.0.0"><xsl:value-of select="document('TranspNSIXml.xml')//UNIT_ITEM[ABBR=$UnitN]/CODE"/></MeasureUnitQualifierCode>
						</GoodsUnits>
					</Goods>
				</xsl:for-each>
			</GoodsTransfer>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
