<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:variable name="NsiPath" select="document('TranspNSIXml.xml')"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//STATPRIM_NEW"/>
	</xsl:template>
	<xsl:template name="FirmNode">
		<xsl:param name="Pref"/>
		<xsl:param name="NameSp"/>
		<xsl:param name="PrefNSp"/>
		<xsl:if test="string-length(*[name()=concat($Pref,'NAME')])>0">
			<xsl:element name="{concat($PrefNSp,'OrganizationName')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'NAME')]"/></xsl:element>
		</xsl:if>
		<xsl:choose>
			<xsl:when  test="*[name()=concat($Pref,'COUNTRYCODE')]='RU'">
				<xsl:element name="{concat($PrefNSp,'RFOrganizationFeatures')}" namespace="{$NameSp}">
					<xsl:if test="string-length(*[name()=concat($Pref,'OGRN')])>0">
						<xsl:element name="{concat($PrefNSp,'OGRN')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'OGRN')]"/></xsl:element>
					</xsl:if>
					<xsl:if test="string-length(*[name()=concat($Pref,'INN')])>0">
						<xsl:element name="{concat($PrefNSp,'INN')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'INN')]"/></xsl:element>
					</xsl:if>
					<xsl:if test="string-length(*[name()=concat($Pref,'KPP')])>0">
						<xsl:element name="{concat($PrefNSp,'KPP')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'KPP')]"/></xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:when>
			<xsl:when  test="*[name()=concat($Pref,'COUNTRYCODE')]='BY'">
				<xsl:element name="{concat($PrefNSp,'RBOrganizationFeatures')}" namespace="{$NameSp}">
					<xsl:if test="string-length(*[name()=concat($Pref,'UNP')])>0">
						<xsl:element name="{concat($PrefNSp,'UNP')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'UNP')]"/></xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:when>
			<xsl:when test="*[name()=concat($Pref,'COUNTRYCODE')]='KZ'">
				<xsl:element name="{concat($PrefNSp,'RKOrganizationFeatures')}" namespace="{$NameSp}">
					<xsl:if test="string-length(*[name()=concat($Pref,'BIN')])>0">
						<xsl:element name="{concat($PrefNSp,'BIN')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'BIN')]"/></xsl:element>
					</xsl:if>
					<xsl:if test="string-length(*[name()=concat($Pref,'IIN')])>0">
						<xsl:element name="{concat($PrefNSp,'IIN')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'IIN')]"/></xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:when>
			<xsl:when test="*[name()=concat($Pref,'COUNTRYCODE')]='AM'">
				<xsl:element name="{concat($PrefNSp,'RAOrganizationFeatures')}" namespace="{$NameSp}">
					<xsl:if test="string-length(*[name()=concat($Pref,'UNN')])>0">
						<xsl:element name="{concat($PrefNSp,'UNN')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'UNN')]"/></xsl:element>
					</xsl:if>
					<xsl:if test="string-length(*[name()=concat($Pref,'NZOU')])>0">
						<xsl:element name="{concat($PrefNSp,'SocialServiceNumber')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'NZOU')]"/></xsl:element>
					</xsl:if>
					<xsl:if test="string-length(*[name()=concat($Pref,'MISSNZOU')])>0">
						<xsl:element name="{concat($PrefNSp,'SocialServiceCertificate')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'MISSNZOU')]"/></xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:when>
			<xsl:when test="*[name()=concat($Pref,'COUNTRYCODE')]='KG'">
				<xsl:element name="{concat($PrefNSp,'KGOrganizationFeatures')}" namespace="{$NameSp}">
					<xsl:if test="string-length(*[name()=concat($Pref,'KGINNPIN')])>0">
						<xsl:element name="{concat($PrefNSp,'KGINN')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'KGINNPIN')]"/></xsl:element>
					</xsl:if>
					<xsl:if test="string-length(*[name()=concat($Pref,'KGOKPO')])>0">
						<xsl:element name="{concat($PrefNSp,'KGOKPO')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'KGOKPO')]"/></xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="FirmNodeDop">
		<xsl:param name="Pref"/>
		<xsl:param name="NameSp"/>
		<xsl:param name="PrefNSp"/>	
		<xsl:if test="string-length(*[name()=concat($Pref,'COUNTRYCODE')])>0">
			<xsl:element name="{concat($PrefNSp,'CountryA2Code')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'COUNTRYCODE')]"/></xsl:element>
		</xsl:if>
		<xsl:if test="string-length(*[name()=concat($Pref,'ORGANIZATIONFORM')])>0">
			<xsl:element name="{concat($PrefNSp,'BusinessEntityTypeName')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'ORGANIZATIONFORM')]"/></xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="FirmNodeDocPerson">
		<xsl:param name="Pref"/>
		<xsl:param name="NameSp"/>
		<xsl:param name="PrefNSp"/>	
		<xsl:if test="string-length(*[name()=concat($Pref,'IDENTITYCARDCODE')])>0 or string-length(*[name()=concat($Pref,'IDENTITYCARDNAME')])>0 or string-length(*[name()=concat($Pref,'IDENTITYCARDSERIES')])>0 or string-length(*[name()=concat($Pref,'IDENTITYCARDNUMBER')])>0 or string-length(*[name()=concat($Pref,'IDENTITYCARDDATE')])>0 or string-length(*[name()=concat($Pref,'ORGANIZATIONNAME')])>0">
			<xsl:element name="{concat($PrefNSp,'IdentityCard')}" namespace="{$NameSp}">
				<xsl:if test="string-length(*[name()=concat($Pref,'IDENTITYCARDCODE')])>0">
					<xsl:element name="{concat($PrefNSp,'IdentityCardCode')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'IDENTITYCARDCODE')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'IDENTITYCARDNAME')])>0">
					<xsl:element name="{concat($PrefNSp,'IdentityCardName')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'IDENTITYCARDNAME')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'IDENTITYCARDSERIES')])>0">
					<xsl:element name="{concat($PrefNSp,'IdentityCardSeries')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'IDENTITYCARDSERIES')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'IDENTITYCARDNUMBER')])>0">
					<xsl:element name="{concat($PrefNSp,'IdentityCardNumber')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'IDENTITYCARDNUMBER')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'IDENTITYCARDDATE')])>0">
					<xsl:element name="{concat($PrefNSp,'IdentityCardDate')}" namespace="{$NameSp}"><xsl:value-of select="substring(*[name()=concat($Pref,'IDENTITYCARDDATE')],1,10)"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'ORGANIZATIONNAME')])>0">
					<xsl:element name="{concat($PrefNSp,'OrganizationName')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'ORGANIZATIONNAME')]"/></xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>	
	</xsl:template>
	<xsl:template name="FirmNodeAddress">
		<xsl:param name="Pref"/>
		<xsl:param name="NameSp"/>		
		<xsl:param name="PrefNSp"/>	
		<xsl:if test="string-length(*[name()=concat($Pref,'POSTALCODE')])>0 or string-length(*[name()=concat($Pref,'COUNTRYCODE')])>0 or string-length(*[name()=concat($Pref,'COUNTRYNAME')])>0 or	string-length(*[name()=concat($Pref,'REGION')])>0 or string-length(*[name()=concat($Pref,'CITY')])>0 or string-length(*[name()=concat($Pref,'STREETHOUSE')])>0">
			<xsl:element name="{concat($PrefNSp,'SubjectAddressDetails')}" namespace="{$NameSp}">
				<xsl:if test="string-length(*[name()=concat($Pref,'POSTALCODE')])>0">
					<xsl:element name="{concat($PrefNSp,'PostalCode')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'POSTALCODE')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'COUNTRYCODE')])>0">
					<xsl:element name="{concat($PrefNSp,'CountryCode')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'COUNTRYCODE')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'COUNTRYNAME')])>0">
					<xsl:element name="{concat($PrefNSp,'CounryName')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'COUNTRYNAME')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'REGION')])>0">
					<xsl:element name="{concat($PrefNSp,'Region')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'REGION')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'CITY')])>0">
					<xsl:element name="{concat($PrefNSp,'City')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'CITY')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'STREETHOUSE')])>0">
					<xsl:element name="{concat($PrefNSp,'StreetHouse')}" namespace="{$NameSp}">
						<xsl:choose>
							<xsl:when test="string-length(*[name()=concat($Pref,'STREETHOUSE')])>50">
								<xsl:value-of select="substring(*[name()=concat($Pref,'STREETHOUSE')],1,50)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="*[name()=concat($Pref,'STREETHOUSE')]"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'TERRITORYCODE')])>0">
					<xsl:element name="{concat($PrefNSp,'TerritoryCode')}" namespace="{$NameSp}"><xsl:value-of select="*[name()=concat($Pref,'TERRITORYCODE')]"/></xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="FirmNodeContact">
		<xsl:param name="Pref"/>
		<xsl:param name="NameSp"/>		
		<xsl:param name="PrefNSp"/>		
		<xsl:param name="NameSpElm"/>	
		<xsl:param name="PrefNSpElm"/>	
		<xsl:if test="string-length(*[name()=concat($Pref,'PHONE')])>0 or string-length(*[name()=concat($Pref,'FAX')])>0 or string-length(*[name()=concat($Pref,'TELEX')])>0 or string-length(*[name()=concat($Pref,'EMAIL')])>0">
			<xsl:element name="{concat($PrefNSp,'CommunicationDetails')}" namespace="{$NameSp}">
				<xsl:if test="string-length(*[name()=concat($Pref,'PHONE')])>0">
					<xsl:element name="{concat($PrefNSpElm,'Phone')}" namespace="{$NameSpElm}"><xsl:value-of select="*[name()=concat($Pref,'PHONE')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'FAX')])>0">
					<xsl:element name="{concat($PrefNSpElm,'Fax')}" namespace="{$NameSpElm}"><xsl:value-of select="*[name()=concat($Pref,'FAX')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'TELEX')])>0">
					<xsl:element name="{concat($PrefNSpElm,'Telex')}" namespace="{$NameSpElm}"><xsl:value-of select="*[name()=concat($Pref,'TELEX')]"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(*[name()=concat($Pref,'EMAIL')])>0">
					<xsl:element name="{concat($PrefNSpElm,'E_mail')}" namespace="{$NameSpElm}"><xsl:value-of select="*[name()=concat($Pref,'EMAIL')]"/></xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="STATPRIM_NEW">
		<xsl:for-each select="STATPRIM_NEW_ITEM">
			<StaticForm xmlns="urn:customs.ru:Information:CustomsDocuments:StaticForm:5.16.0" xmlns:RUScat_ru="urn:customs.ru:RUSCommonAggregateTypes:5.16.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006124E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
				<xsl:if test="string-length(PREVIOUSREGNUMBERDOC)>0">
					<PreviousRegNumberDoc><xsl:value-of select="PREVIOUSREGNUMBERDOC"/></PreviousRegNumberDoc>
				</xsl:if>
				<CustomsProcedure>
					<xsl:choose>
						<xsl:when test="CUSTOMSPROCEDURE=0">
							<xsl:text>ИМ</xsl:text>
						</xsl:when>
						<xsl:when test="CUSTOMSPROCEDURE=1">
							<xsl:text>ЭК</xsl:text>
						</xsl:when>
					</xsl:choose>	
				</CustomsProcedure>
				<xsl:if test="string-length(TRANSPORTMODECODE)>0">
					<TransportModeCode><xsl:value-of select="TRANSPORTMODECODE"/></TransportModeCode>
				</xsl:if>
				<xsl:if test="string-length(TRANSPORT_TRANSPORTNAME)>0">
					<TransportName><xsl:value-of select="TRANSPORT_TRANSPORTNAME"/></TransportName>
				</xsl:if>
				<xsl:if test="string-length(REPORTINGDATE)>0">
					<ReportingDate><xsl:value-of select="substring(REPORTINGDATE,1,7)"/></ReportingDate>
				</xsl:if>
				<NSF>
					<xsl:value-of select="NSF"/>
					<xsl:if test="NSF!='[not_used]'">[not_used]</xsl:if>
				</NSF>
				<Consignor>
					<xsl:call-template name="FirmNode">
						<xsl:with-param name="Pref">CONSIGNOR_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:CommonAggregateTypes:5.10.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">cat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeDop">
						<xsl:with-param name="Pref">CONSIGNOR_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeDocPerson">
						<xsl:with-param name="Pref">CONSIGNOR_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeAddress">
						<xsl:with-param name="Pref">CONSIGNOR_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeContact">
						<xsl:with-param name="Pref">CONSIGNOR_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
						<xsl:with-param name="NameSpElm">urn:customs.ru:CommonAggregateTypes:5.10.0</xsl:with-param>
						<xsl:with-param name="PrefNSpElm">cat_ru:</xsl:with-param>
					</xsl:call-template>
				</Consignor>
				<Consignee>
					<xsl:call-template name="FirmNode">
						<xsl:with-param name="Pref">CONSIGNEE_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:CommonAggregateTypes:5.10.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">cat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeDop">
						<xsl:with-param name="Pref">CONSIGNEE_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeDocPerson">
						<xsl:with-param name="Pref">CONSIGNEE_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeAddress">
						<xsl:with-param name="Pref">CONSIGNEE_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeContact">
						<xsl:with-param name="Pref">CONSIGNEE_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
						<xsl:with-param name="NameSpElm">urn:customs.ru:CommonAggregateTypes:5.10.0</xsl:with-param>
						<xsl:with-param name="PrefNSpElm">cat_ru:</xsl:with-param>
					</xsl:call-template>
				</Consignee>
				<FinancialAdjustingResponsiblePerson>
					<xsl:call-template name="FirmNode">
						<xsl:with-param name="Pref">FINANCE_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:CommonAggregateTypes:5.10.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">cat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeDop">
						<xsl:with-param name="Pref">FINANCE_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeDocPerson">
						<xsl:with-param name="Pref">PERSON_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmNodeAddress">
						<xsl:with-param name="Pref">FINANCE_</xsl:with-param>
						<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
						<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
					</xsl:call-template>
					<xsl:if test="string-length(BRANCHDESCRIPTION_NAME)>0">
						<RUScat_ru:SubjectBranch>
							<xsl:call-template name="FirmNode">
								<xsl:with-param name="Pref">BRANCHDESCRIPTION_</xsl:with-param>
								<xsl:with-param name="NameSp">urn:customs.ru:CommonAggregateTypes:5.10.0</xsl:with-param>
								<xsl:with-param name="PrefNSp">cat_ru:</xsl:with-param>
							</xsl:call-template>
							<xsl:if test="string-length(BRANCHDESCRIPTION_COUNTRYCODE)>0">
								<RUScat_ru:CountryA2Code><xsl:value-of select="BRANCHDESCRIPTION_COUNTRYCODE"/></RUScat_ru:CountryA2Code>
							</xsl:if>
							<xsl:call-template name="FirmNodeAddress">
								<xsl:with-param name="Pref">BRANCHDESCRIPTION_</xsl:with-param>
								<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
								<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
							</xsl:call-template>
						</RUScat_ru:SubjectBranch>
					</xsl:if>
				</FinancialAdjustingResponsiblePerson>
				<TradeCountry>
					<xsl:if test="string-length(TRADECOUNTRY_COUNTRYNAME)>0">
						<CountryName><xsl:value-of select="TRADECOUNTRY_COUNTRYNAME"/></CountryName>
					</xsl:if>
					<xsl:if test="string-length(TRADECOUNTRY_COUNTRYCODE)>0">
						<CountryCode><xsl:value-of select="TRADECOUNTRY_COUNTRYCODE"/></CountryCode>
					</xsl:if>
				</TradeCountry>
				<xsl:variable name="DisCountryCode">
					<xsl:choose>
						<xsl:when test="SENDER_COUNTRYCODE=0">RU</xsl:when>
						<xsl:when test="SENDER_COUNTRYCODE=1">BY</xsl:when>
						<xsl:when test="SENDER_COUNTRYCODE=2">KZ</xsl:when>
						<xsl:when test="SENDER_COUNTRYCODE=3">AM</xsl:when>
						<xsl:when test="SENDER_COUNTRYCODE=4">KG</xsl:when>		
					</xsl:choose>
				</xsl:variable>	
				<xsl:variable name="DesCountryCode">
					<xsl:choose>
						<xsl:when test="RECEIVER_COUNTRYCODE=0">RU</xsl:when>
						<xsl:when test="RECEIVER_COUNTRYCODE=1">BY</xsl:when>
						<xsl:when test="RECEIVER_COUNTRYCODE=2">KZ</xsl:when>
						<xsl:when test="RECEIVER_COUNTRYCODE=3">AM</xsl:when>
						<xsl:when test="RECEIVER_COUNTRYCODE=4">KG</xsl:when>		
					</xsl:choose>
				</xsl:variable>	
				<DispatchCountry>
					<CountryName><xsl:value-of select="$NsiPath//Country_ITEM[ABC2=$DisCountryCode]/Name"/></CountryName>
					<CountryCode><xsl:value-of select="$DisCountryCode"/></CountryCode>
				</DispatchCountry>
				<DestinationCountry>
					<CountryName><xsl:value-of select="$NsiPath//Country_ITEM[ABC2=$DesCountryCode]/Name"/></CountryName>
					<CountryCode><xsl:value-of select="$DesCountryCode"/></CountryCode>
				</DestinationCountry>
				<CustCostCurrencyCode><xsl:value-of select="CURRENCYCODE"/></CustCostCurrencyCode>
				<xsl:if test="string-length(TOTALPRICE)>0">
					<CustCostTotalAmount><xsl:value-of select="format-number(round(TOTALPRICE * 100) div 100,'0.##')"/></CustCostTotalAmount>
				</xsl:if>	
				<xsl:for-each select="//STATDOC_NEW_ITEM[string-length(DOCUMENTNAME)>0 or string-length(DOCUMENTNUMBER)>0 or string-length(DOCUMENTDATE)>0]">
					<Documents>
						<xsl:if test="string-length(DOCUMENTNAME)>0">
							<cat_ru:PrDocumentName><xsl:value-of select="DOCUMENTNAME"/></cat_ru:PrDocumentName>
						</xsl:if>
						<xsl:if test="string-length(DOCUMENTNUMBER)>0">
							<cat_ru:PrDocumentNumber><xsl:value-of select="DOCUMENTNUMBER"/></cat_ru:PrDocumentNumber>
						</xsl:if>
						<xsl:if test="string-length(DOCUMENTDATE)>0">
							<cat_ru:PrDocumentDate><xsl:value-of select="substring(DOCUMENTDATE,1,10)"/></cat_ru:PrDocumentDate>
						</xsl:if>
					</Documents>
				</xsl:for-each>
				<xsl:for-each select="//STATDOP_NEW_ITEM">
					<GoodsInfo>
						<GoodsNumeric><xsl:value-of select="position()"/></GoodsNumeric>
						<GoodsTNVEDCode><xsl:value-of select="GOODSCODE"/></GoodsTNVEDCode>
						<xsl:choose>
							<xsl:when test="string-length(GOODSDESCRIPTION)>0">
								<xsl:variable name="DesGoods" select="normalize-space(GOODSDESCRIPTION)"/>
								<xsl:choose>
									<xsl:when test="string-length($DesGoods)>250">
										<GoodsDescription><xsl:value-of select="substring($DesGoods,1,250)"/></GoodsDescription>
										<xsl:if test="string-length(normalize-space(substring($DesGoods,251,250)))>0">
											<GoodsDescription><xsl:value-of select="normalize-space(substring($DesGoods,251,250))"/></GoodsDescription>
										</xsl:if>
										<xsl:if test="string-length(normalize-space(substring($DesGoods,501,250)))>0">
											<GoodsDescription><xsl:value-of select="normalize-space(substring($DesGoods,501,250))"/></GoodsDescription>
										</xsl:if>
										<xsl:if test="string-length(normalize-space(substring($DesGoods,751,250)))>0">
											<GoodsDescription><xsl:value-of select="normalize-space(substring($DesGoods,751,250))"/></GoodsDescription>
										</xsl:if>
										<xsl:if test="string-length(normalize-space(substring($DesGoods,1001,250)))>0">
											<GoodsDescription><xsl:value-of select="normalize-space(substring($DesGoods,1001,250))"/></GoodsDescription>
										</xsl:if>
									</xsl:when>
									<xsl:otherwise>
										<GoodsDescription><xsl:value-of select="$DesGoods"/></GoodsDescription>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<GoodsDescription>N</GoodsDescription>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(ADDITIONALINFORMATIONCODE)>0">
							<AdditionalInformationCode><xsl:value-of select="ADDITIONALINFORMATIONCODE"/></AdditionalInformationCode>
						</xsl:if>
						<xsl:if test="string-length(ADDITIONALINFORMATION)>0">
							<AdditionalInformation><xsl:value-of select="ADDITIONALINFORMATION"/></AdditionalInformation>
						</xsl:if>
						
						<NetWeightQuantity><xsl:value-of select="format-number(round(NETWEIGHTQUANTITY * 1000000) div 1000000,'0.######')"/></NetWeightQuantity>
						<InvoicedCost><xsl:value-of select="format-number(round(PRICE * 100) div 100,'0.##')"/></InvoicedCost>
						<StatisticalCostRUB><xsl:value-of select="format-number(round(TOTALCOST * 100) div 100,'0.##')"/></StatisticalCostRUB>
						<StatisticalCostUSD><xsl:value-of select="format-number(round(DISCOUNT * 100) div 100,'0.##')"/></StatisticalCostUSD>
						<OriginCountry>
							<CountryName><xsl:value-of select="ORIGINCOUNTRY"/></CountryName>						
							<CountryCode><xsl:value-of select="ORIGINCOUNTRYCODE"/></CountryCode>
						</OriginCountry>
						<xsl:if test="string-length(GTDID)>0 and GTDID!='//'">
							<DTInfo>
								<GoodsNumeric><xsl:value-of select="GOODSNUMERIC"/></GoodsNumeric>
								<DTNumber>
									<cat_ru:CustomsCode><xsl:value-of select="substring(GTDID,1,8)"/></cat_ru:CustomsCode>
									<cat_ru:RegistrationDate><xsl:value-of select="concat('20',substring(GTDID,14,2),'-',substring(GTDID,12,2),'-',substring(GTDID,10,2))"/></cat_ru:RegistrationDate>
									<cat_ru:GTDNumber><xsl:value-of select="substring(GTDID,17)"/></cat_ru:GTDNumber>
								</DTNumber>
							</DTInfo>
						</xsl:if>
						<xsl:if test="string-length(GOODSQUANTITY)>0">
							<SupplementaryQuantity>
								<cat_ru:GoodsQuantity><xsl:value-of select="GOODSQUANTITY"/></cat_ru:GoodsQuantity>
								<xsl:if test="string-length(MEASUREUNITQUALIFIERCODE)>0">
									<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MEASUREUNITQUALIFIERCODE"/></cat_ru:MeasureUnitQualifierCode>
								</xsl:if>
								<xsl:if test="string-length(MEASUREUNITQUALIFIERNAME)>0">
									<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MEASUREUNITQUALIFIERNAME"/></cat_ru:MeasureUnitQualifierName>
								</xsl:if>	
							</SupplementaryQuantity>
						</xsl:if>
					</GoodsInfo>
				</xsl:for-each>
				<ProvidePerson>
					<cat_ru:PersonSurname><xsl:value-of select="PERSON_SURNAME"/></cat_ru:PersonSurname>
					<cat_ru:PersonName><xsl:value-of select="PERSON_NAME"/></cat_ru:PersonName>
					<xsl:if test="string-length(PERSON_MIDDLENAME)>0">
						<cat_ru:PersonMiddleName><xsl:value-of select="PERSON_MIDDLENAME"/></cat_ru:PersonMiddleName>
					</xsl:if>
					<xsl:if test="string-length(PERSON_POST)>0">
						<cat_ru:PersonPost><xsl:value-of select="PERSON_POST"/></cat_ru:PersonPost>
					</xsl:if>
					<xsl:if test="string-length(PERSON_PHONE)>0 or string-length(PERSON_EMAIL)>0">
						<RUScat_ru:CommunicationDetails>
							<xsl:if test="string-length(PERSON_PHONE)>0">
								<cat_ru:Phone><xsl:value-of select="PERSON_PHONE"/></cat_ru:Phone>
							</xsl:if>
							<xsl:if test="string-length(PERSON_EMAIL)>0">
								<cat_ru:E_mail><xsl:value-of select="PERSON_EMAIL"/></cat_ru:E_mail>
							</xsl:if>
						</RUScat_ru:CommunicationDetails>
					</xsl:if>	
					<xsl:if test="string-length(REPORTINGDATE)>0">
						<RUScat_ru:SigningDate><xsl:value-of select="substring(REPORTINGDATE,1,10)"/></RUScat_ru:SigningDate>
					</xsl:if>
					<xsl:if test="string-length(ORGANIZATIONNAME)>0">
						<Organization>
							<OrganizationName><xsl:value-of select="ORGANIZATIONNAME"/></OrganizationName>
							<xsl:if test="string-length(ORGANIZATIONSHORTNAME)>0">
								<OrganizationShortName><xsl:value-of select="ORGANIZATIONSHORTNAME"/></OrganizationShortName>
							</xsl:if>
							<xsl:if test="string-length(OGRN)>0 or string-length(INN)>0 or string-length(KPP)>0">
								<RFOrganizationFeatures>
									<xsl:if test="string-length(OGRN)>0">
										<cat_ru:OGRN><xsl:value-of select="OGRN"/></cat_ru:OGRN>
									</xsl:if>
									<xsl:if test="string-length(INN)>0">
										<cat_ru:INN><xsl:value-of select="INN"/></cat_ru:INN>
									</xsl:if>
									<xsl:if test="string-length(KPP)>0">
										<cat_ru:KPP><xsl:value-of select="KPP"/></cat_ru:KPP>
									</xsl:if>
								</RFOrganizationFeatures>
							</xsl:if>
							<xsl:if test="string-length(PERSON_COUNTRYCODE)>0">
								<RUScat_ru:CountryA2Code><xsl:value-of select="PERSON_COUNTRYCODE"/></RUScat_ru:CountryA2Code>
							</xsl:if>
							<xsl:call-template name="FirmNodeAddress">
								<xsl:with-param name="Pref">PERSON_</xsl:with-param>
								<xsl:with-param name="NameSp">urn:customs.ru:RUSCommonAggregateTypes:5.16.0</xsl:with-param>
								<xsl:with-param name="PrefNSp">RUScat_ru:</xsl:with-param>
							</xsl:call-template>
						</Organization>
					</xsl:if>	
				</ProvidePerson>		
			</StaticForm>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
