<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAD" docid="ND">  ( "-")</ctmtd:info>
 
   <xsl:template match="/">
	  <xsl:apply-templates select="SPECPRIM/SPECPRIM_ITEM"/>
  </xsl:template>
  
 <xsl:template match="SPECPRIM_ITEM">
  <xsl:element name="INTERNAL_AWB">
     <xsl:element name="INTERNAL_AWB_ITEM">     
      <xsl:element name="EXP_NAME">
       <xsl:value-of select="G022"/>
      </xsl:element>      
      <xsl:element name="IMP_NAME">
       <xsl:value-of select="G082"/>
      </xsl:element>      
      <xsl:element name="PAYER_NAME">
       <xsl:value-of select="G092"/>
      </xsl:element>      
      <xsl:element name="INTERNAL_AWB_CARGO1">
       <xsl:for-each select="//SPECDOP_ITEM">        
        <xsl:element name="INTERNAL_AWB_CARGO1_ITEM">         
         <xsl:element name="CARGO">
          <xsl:value-of select="G312"/>
         </xsl:element>         
         <xsl:element name="PACKAGE">
          <xsl:value-of select="G313"/>
         </xsl:element>         
         <xsl:element name="PLACES">
          <xsl:value-of select="G311"/>
         </xsl:element>
         <xsl:element name="SUM">
          <xsl:value-of select="G42"/>
         </xsl:element>
         <xsl:element name="WEIGHT">
          <xsl:value-of select="format-number(G35 div 1000,'#.000')"/>
         </xsl:element>
         <xsl:element name="VOLUME">
          <xsl:value-of select="G315C"/>
         </xsl:element>
         <xsl:element name="UNIT">
          <xsl:value-of select="G315"/>
         </xsl:element>
         <xsl:element name="QUANTITY">
          <xsl:value-of select="G315A"/>
         </xsl:element>
         <xsl:element name="ID3">
          <xsl:value-of select="G31_15"/>
         </xsl:element>
        </xsl:element>
       </xsl:for-each>
      </xsl:element>  
      <xsl:element name="INTERNAL_AWB_CARGO2">
       <xsl:for-each select="//SPECDOP_ITEM">
        <xsl:element name="INTERNAL_AWB_CARGO2_ITEM">              
         <xsl:element name="CARGO">
          <xsl:value-of select="G312"/>
         </xsl:element>
         <xsl:element name="DOCUM">
           <xsl:call-template name="ApplyDoc">
            <xsl:with-param name="Code" select="DOCCODE1"/>
            <xsl:with-param name="Value" select="DOCNUM1"/>
           </xsl:call-template>                
           <xsl:call-template name="ApplyDoc">
            <xsl:with-param name="Code" select="DOCCODE2"/>
            <xsl:with-param name="Value" select="DOCNUM2"/>
           </xsl:call-template>                
           <xsl:call-template name="ApplyDoc">
            <xsl:with-param name="Code" select="DOCCODE3"/>
            <xsl:with-param name="Value" select="DOCNUM3"/>
           </xsl:call-template>                
         </xsl:element>
         <xsl:element name="PACKAGE">
          <xsl:value-of select="G313"/>
         </xsl:element>         
         <xsl:element name="PLACES">
          <xsl:value-of select="G311"/>
         </xsl:element>         
         <xsl:element name="WEIGHT">
          <xsl:value-of select="format-number(G35 div 1000,'#.000')"/>
         </xsl:element>
        </xsl:element>        
       </xsl:for-each>
      </xsl:element>     
     </xsl:element>
  </xsl:element>
 </xsl:template> 
 
 
 <xsl:template name="ApplyDoc">
  <xsl:param name="Code"/>
  <xsl:param name="Value"/>  
  <xsl:if test="$Value!='' and ($Code=2024 or $Code=2025 or $Code=4021 or $Code=6041 or $Code=6042 or $Code=7021 or $Code=7022 or $Code=7023)">
   <xsl:value-of select="$Value"/>
   <xsl:choose>
     <xsl:when test="$Code=2024">-</xsl:when>     
    <xsl:when test="$Code=2025">- </xsl:when>      
    <xsl:when test="$Code=4021">--</xsl:when>      
    <xsl:when test="$Code=6041">--. .</xsl:when>
    <xsl:when test="$Code=6042">-. -. .</xsl:when>     
    <xsl:when test="$Code=7021">-. . -1</xsl:when>
    <xsl:when test="$Code=7022">-. . </xsl:when>
    <xsl:when test="$Code=7023">-. . .</xsl:when>
   </xsl:choose>
   <xsl:if test="position()!=last()">
    <xsl:text>, </xsl:text>
   </xsl:if>
  </xsl:if>
 </xsl:template>
</xsl:stylesheet>

