<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info> -12 2004 .</ctmtd:info>
 <xsl:template match="//RWB_DEMAND">
  <xsl:element name="INTERNAL_RWB">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 
 <xsl:template name="RWB_DEMAND_ITEM" match="RWB_DEMAND_ITEM">
  <xsl:element name="INTERNAL_RWB_ITEM">
   <xsl:element name="TRANSP_NAME">
    <xsl:value-of select="CARRIER"/>
   </xsl:element>
   <xsl:element name="PLAN">
    <xsl:value-of select="DOC_N"/>
   </xsl:element>
   <xsl:element name="SRC_S_CODE">
    <xsl:value-of select="ST_FROM_C"/>
   </xsl:element>
   <xsl:element name="SRC_S_NAME">
    <xsl:value-of select="ST_FROM_N"/>
   </xsl:element>
   <xsl:element name="EXP_OKPO">
    <xsl:value-of select="SND_OKPO"/>
   </xsl:element>
   <xsl:element name="EXP_NAME">
    <xsl:value-of select="SND_N"/>
   </xsl:element>
   <xsl:element name="PAYER_CODE">
    <xsl:value-of select="PAYER_C"/>
   </xsl:element>
   <xsl:element name="PAYER_ACC">
    <xsl:value-of select="PAYER_OKPO"/>
   </xsl:element>
   <xsl:element name="PAYER_NAME">
    <xsl:value-of select="PAYER_N"/>
   </xsl:element>
   <xsl:element name="NETTO1">
    <xsl:value-of select="G8_ITOG"/>
   </xsl:element>
 
   <xsl:for-each select="RWB_DEMAND_TABLE/RWB_DEMAND_TABLE_ITEM[1]">
   <xsl:element name="DRS_CODE_S">
    <xsl:value-of select="G6"/>
   </xsl:element>
   <xsl:element name="DRS_NAME">
    <xsl:value-of select="G5"/>
   </xsl:element>
   <xsl:element name="GROUP">
    <xsl:value-of select="substring-before (G2, ' ')"/>
   </xsl:element>
   <xsl:element name="SEND_TYPE">
    <xsl:value-of select="SENDTYPE"/>
   </xsl:element>
   <xsl:element name="VAG_TYPE">
    <xsl:value-of select="G11"/>
   </xsl:element>
    </xsl:for-each>

   <xsl:for-each select="RWB_DEMAND_TABLE/RWB_DEMAND_TABLE_ITEM[2]">
   <xsl:element name="IMP_NAME">
    <xsl:value-of select="G5"/>
   </xsl:element>
   <xsl:element name="IMP_OKPO">
    <xsl:value-of select="G6"/>
   </xsl:element>
    </xsl:for-each>

   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 
 <xsl:template match="RWB_DEMAND_TABLE" name="RWB_DEMAND_TABLE">
  <xsl:element name="INTERNAL_RWB_CARGO">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="RWB_DEMAND_TABLE_ITEM" name="RWB_DEMAND_TABLE_ITEM">
  <xsl:element name="INTERNAL_RWB_CARGO_ITEM">
   <xsl:element name="CARGO">
    <xsl:value-of select="G2"/>
   </xsl:element>
   <xsl:element name="KGUser">
    <xsl:value-of select="G9"/>
   </xsl:element>
  </xsl:element>
 </xsl:template>
 <xsl:template match="*"/>
</xsl:stylesheet>
