<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<xsl:apply-templates select="//StaticForm"/>
	</xsl:template>
	<xsl:variable name="NsiPath" select="document('TranspNSIXml.xml')"/>	
	<xsl:template name="AddressNode">
		<xsl:param name="Pref"/>
		<xsl:element name="{concat($Pref,'_CITY')}"><xsl:value-of select="City"/></xsl:element>
		<xsl:element name="{concat($Pref,'_COUNTRYCODE')}"><xsl:value-of select="CountryCode"/></xsl:element>
		<xsl:element name="{concat($Pref,'_COUNTRYNAME')}"><xsl:value-of select="CounryName"/></xsl:element>
		<xsl:element name="{concat($Pref,'_POSTALCODE')}"><xsl:value-of select="PostalCode"/></xsl:element>
		<xsl:element name="{concat($Pref,'_REGION')}"><xsl:value-of select="Region"/></xsl:element>
		<xsl:element name="{concat($Pref,'_STREETHOUSE')}"><xsl:value-of select="StreetHouse"/></xsl:element>
	</xsl:template>
	<xsl:template name="FirmId">
		<xsl:param name="Pref"/>
		<xsl:for-each select="RKOrganizationFeatures">
			<xsl:element name="{concat($Pref,'_BIN')}"><xsl:value-of select="BIN"/></xsl:element>
			<xsl:element name="{concat($Pref,'_IIN')}"><xsl:value-of select="IIN"/></xsl:element>
		</xsl:for-each>
		<xsl:for-each select="RFOrganizationFeatures">
			<xsl:element name="{concat($Pref,'_INN')}"><xsl:value-of select="INN"/></xsl:element>
			<xsl:element name="{concat($Pref,'_KPP')}"><xsl:value-of select="KPP"/></xsl:element>
			<xsl:element name="{concat($Pref,'_OGRN')}"><xsl:value-of select="OGRN"/></xsl:element>
		</xsl:for-each>
		<xsl:for-each select="RBOrganizationFeatures">	
			<xsl:element name="{concat($Pref,'_UNP')}"><xsl:value-of select="UNP"/></xsl:element>
		</xsl:for-each>
		<xsl:for-each select="RAOrganizationFeatures">
			<xsl:element name="{concat($Pref,'_UNN')}"><xsl:value-of select="UNN"/></xsl:element>
			<xsl:element name="{concat($Pref,'_NZOU')}"><xsl:value-of select="SocialServiceNumber"/></xsl:element>
			<xsl:element name="{concat($Pref,'_MISSNZOU')}"><xsl:value-of select="SocialServiceCertificate"/></xsl:element>
		</xsl:for-each>	
		<xsl:for-each select="KGOrganizationFeatures">
			<xsl:element name="{concat($Pref,'_KGINNPIN')}"><xsl:value-of select="KGINN"/></xsl:element>
			<xsl:element name="{concat($Pref,'_KGOKPO')}"><xsl:value-of select="KGOKPO"/></xsl:element>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IdentityCard">
		<xsl:param name="Pref"/>
		<xsl:for-each select="IdentityCard">
			<xsl:element name="{concat($Pref,'_IDENTITYCARDCODE')}"><xsl:value-of select="IdentityCardCode"/></xsl:element>
			<xsl:element name="{concat($Pref,'_IDENTITYCARDNAME')}"><xsl:value-of select="IdentityCardName"/></xsl:element>
			<xsl:element name="{concat($Pref,'_IDENTITYCARDSERIES')}"><xsl:value-of select="IdentityCardSeries"/></xsl:element>
			<xsl:element name="{concat($Pref,'_IDENTITYCARDNUMBER')}"><xsl:value-of select="IdentityCardNumber"/></xsl:element>
			<xsl:element name="{concat($Pref,'_IDENTITYCARDDATE')}"><xsl:value-of select="IdentityCardDate"/></xsl:element>
			<xsl:element name="{concat($Pref,'_ORGANIZATIONNAME')}"><xsl:value-of select="OrganizationName"/></xsl:element>
		</xsl:for-each>			
	</xsl:template>	
	<xsl:template name="Contact">
		<xsl:param name="Pref"/>
		<xsl:for-each select="Contact | CommunicationDetails">
			<xsl:element name="{concat($Pref,'_PHONE')}"><xsl:value-of select="Phone"/></xsl:element>
			<xsl:element name="{concat($Pref,'_FAX')}"><xsl:value-of select="Fax"/></xsl:element>
			<xsl:element name="{concat($Pref,'_TELEX')}"><xsl:value-of select="Telex"/></xsl:element>
			<xsl:element name="{concat($Pref,'_EMAIL')}"><xsl:value-of select="E_mail"/></xsl:element>
		</xsl:for-each>	
	</xsl:template>
	<xsl:template name="PersonFirm">
		<ORGANIZATIONNAME><xsl:value-of select="OrganizationName"/></ORGANIZATIONNAME>
		<ORGANIZATIONSHORTNAME><xsl:value-of select="OrganizationShortName"/></ORGANIZATIONSHORTNAME>
		<xsl:for-each select="Address | SubjectAddressDetails">
			<xsl:call-template name="AddressNode">
				<xsl:with-param name="Pref">PERSON</xsl:with-param> 
			</xsl:call-template>
		</xsl:for-each>	
		<xsl:for-each select="RFOrganizationFeatures">
			<OGRN><xsl:value-of select="OGRN"/></OGRN>
			<INN><xsl:value-of select="INN"/></INN>
			<KPP><xsl:value-of select="KPP"/></KPP>
		</xsl:for-each>
	</xsl:template>				
	<xsl:template match="StaticForm">
		<STATPRIM_NEW>
			<STATPRIM_NEW_ITEM>
				<xsl:for-each select="Consignee">
					<CONSIGNEE_NAME><xsl:value-of select="OrganizationName"/></CONSIGNEE_NAME>
					<CONSIGNEE_ORGANIZATIONFORM>
						<xsl:choose>
							<xsl:when test="string-length(OrganizationForm)>0">
								<xsl:value-of select="OrganizationForm"/>
							</xsl:when>
							<xsl:when test="string-length(BusinessEntityTypeName)>0">
								<xsl:value-of select="BusinessEntityTypeName"/>
							</xsl:when>
						</xsl:choose>
					</CONSIGNEE_ORGANIZATIONFORM>
					<xsl:call-template name="FirmId">
						<xsl:with-param name="Pref">CONSIGNEE</xsl:with-param> 
					</xsl:call-template>
					<xsl:for-each select="Address | SubjectAddressDetails">
						<xsl:call-template name="AddressNode">
							<xsl:with-param name="Pref">CONSIGNEE</xsl:with-param> 
						</xsl:call-template>
					</xsl:for-each>
					<xsl:call-template name="IdentityCard">
						<xsl:with-param name="Pref">CONSIGNEE</xsl:with-param>
					</xsl:call-template>	
					<xsl:call-template name="Contact">
						<xsl:with-param name="Pref">CONSIGNEE</xsl:with-param>
					</xsl:call-template>
				</xsl:for-each>
				<xsl:for-each select="Consignor">
					<CONSIGNOR_NAME><xsl:value-of select="OrganizationName"/></CONSIGNOR_NAME>
					<CONSIGNOR_ORGANIZATIONFORM>
						<xsl:choose>
							<xsl:when test="string-length(OrganizationForm)>0">
								<xsl:value-of select="OrganizationForm"/>
							</xsl:when>
							<xsl:when test="string-length(BusinessEntityTypeName)>0">
								<xsl:value-of select="BusinessEntityTypeName"/>
							</xsl:when>
						</xsl:choose>
					</CONSIGNOR_ORGANIZATIONFORM>
					<xsl:call-template name="FirmId">
						<xsl:with-param name="Pref">CONSIGNOR</xsl:with-param> 
					</xsl:call-template>
					<xsl:for-each select="Address | SubjectAddressDetails">
						<xsl:call-template name="AddressNode">
							<xsl:with-param name="Pref">CONSIGNOR</xsl:with-param> 
						</xsl:call-template>
					</xsl:for-each>
					<xsl:call-template name="IdentityCard">
						<xsl:with-param name="Pref">CONSIGNOR</xsl:with-param>
					</xsl:call-template>	
					<xsl:call-template name="Contact">
						<xsl:with-param name="Pref">CONSIGNOR</xsl:with-param>
					</xsl:call-template>
				</xsl:for-each>
				<CUSTOMSPROCEDURE>
					<xsl:choose>
						<xsl:when test="CustomsProcedure='ИМ'">0</xsl:when>
						<xsl:when test="CustomsProcedure='ЭК'">1</xsl:when>
					</xsl:choose>	
				</CUSTOMSPROCEDURE>
				<xsl:for-each select="FinancialAdjustingResponsiblePerson">
					<FINANCE_NAME><xsl:value-of select="OrganizationName"/></FINANCE_NAME>
					<FINANCE_ORGANIZATIONFORM>
						<xsl:choose>
							<xsl:when test="string-length(OrganizationForm)>0">
								<xsl:value-of select="OrganizationForm"/>
							</xsl:when>
							<xsl:when test="string-length(BusinessEntityTypeName)>0">
								<xsl:value-of select="BusinessEntityTypeName"/>
							</xsl:when>
						</xsl:choose>
					</FINANCE_ORGANIZATIONFORM>
					<!--<xsl:call-template name="FirmId">
						<xsl:with-param name="Pref">FINANCE</xsl:with-param> 
					</xsl:call-template>-->
					<xsl:for-each select="Address | SubjectAddressDetails">
						<xsl:call-template name="AddressNode">
							<xsl:with-param name="Pref">FINANCE</xsl:with-param> 
						</xsl:call-template>
					</xsl:for-each>
					<xsl:call-template name="IdentityCard">
						<xsl:with-param name="Pref">PERSON</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="FirmId">
							<xsl:with-param name="Pref">PERSON</xsl:with-param> 
						</xsl:call-template>	
					<xsl:for-each select="BranchDescription">
						<BRANCHDESCRIPTION_NAME><xsl:value-of select="OrganizationName"/></BRANCHDESCRIPTION_NAME>
						<xsl:for-each select="Address | SubjectAddressDetails">
							<xsl:call-template name="AddressNode">
								<xsl:with-param name="Pref">BRANCHDESCRIPTION</xsl:with-param> 
							</xsl:call-template>
						</xsl:for-each>	
						<xsl:call-template name="FirmId">
							<xsl:with-param name="Pref">BRANCHDESCRIPTION</xsl:with-param> 
						</xsl:call-template>
					</xsl:for-each>
				</xsl:for-each>
				<NSF><xsl:value-of select="NSF"/></NSF>
				<PreviousRegNumberDoc><xsl:value-of select="PreviousRegNumberDoc"/></PreviousRegNumberDoc>
				<CURRENCYCODE><xsl:value-of select="CustCostCurrencyCode"/></CURRENCYCODE>
				<xsl:variable name="CurrencyC" select="CustCostCurrencyCode"/>
				<CURRENCYNAME><xsl:value-of select="$NsiPath//Currency_ITEM[ABBR=$CurrencyC]/Name"/></CURRENCYNAME>		
				<xsl:for-each select="ProvidePerson">
					<PERSON_SURNAME><xsl:value-of select="PersonSurname"/></PERSON_SURNAME>
					<PERSON_NAME><xsl:value-of select="PersonName"/></PERSON_NAME>
					<PERSON_MIDDLENAME><xsl:value-of select="PersonMiddleName"/></PERSON_MIDDLENAME>
					<PERSON_POST><xsl:value-of select="PersonPost"/></PERSON_POST>
					<xsl:choose>
						<xsl:when test="count(CommunicationDetails)>0">
							<xsl:for-each select="CommunicationDetails">
								<PERSON_EMAIL><xsl:value-of select="E_mail"/></PERSON_EMAIL>
								<PERSON_PHONE><xsl:value-of select="Phone"/></PERSON_PHONE>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<PERSON_EMAIL><xsl:value-of select="Email"/></PERSON_EMAIL>
							<PERSON_PHONE><xsl:value-of select="ContactPhone"/></PERSON_PHONE>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="count(Organization)>0">
							<xsl:for-each select="Organization">
								<xsl:call-template name="PersonFirm"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="PersonFirm"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				<RECEIVER_COUNTRYCODE>
					<xsl:choose>
						<xsl:when test="DestinationCountry/CountryCode='RU'">0</xsl:when>
						<xsl:when test="DestinationCountry/CountryCode='BY'">1</xsl:when>
						<xsl:when test="DestinationCountry/CountryCode='KZ'">2</xsl:when>
						<xsl:when test="DestinationCountry/CountryCode='AM'">3</xsl:when>
						<xsl:when test="DestinationCountry/CountryCode='KG'">4</xsl:when>										
					</xsl:choose>
				</RECEIVER_COUNTRYCODE>
				<REPORTINGDATE><xsl:value-of select="ReportingDate"/></REPORTINGDATE>
				<SENDER_COUNTRYCODE>
					<xsl:choose>
						<xsl:when test="DispatchCountry/CountryCode='RU'">0</xsl:when>
						<xsl:when test="DispatchCountry/CountryCode='BY'">1</xsl:when>
						<xsl:when test="DispatchCountry/CountryCode='KZ'">2</xsl:when>
						<xsl:when test="DispatchCountry/CountryCode='AM'">3</xsl:when>
						<xsl:when test="DispatchCountry/CountryCode='KG'">4</xsl:when>											
					</xsl:choose>
				</SENDER_COUNTRYCODE>
				<xsl:for-each select="TradeCountry">
					<TRADECOUNTRY_COUNTRYNAME><xsl:value-of select="CountryName"/></TRADECOUNTRY_COUNTRYNAME>
					<TRADECOUNTRY_COUNTRYCODE><xsl:value-of select="CountryCode"/></TRADECOUNTRY_COUNTRYCODE>
				</xsl:for-each>
				<TRANSPORTMODECODE><xsl:value-of select="TransportModeCode"/></TRANSPORTMODECODE>
				<TRANSPORT_TRANSPORTNAME><xsl:value-of select="TransportName"/></TRANSPORT_TRANSPORTNAME>
				<STATDOC_NEW>
					<xsl:for-each select="//Documents">
						<STATDOC_NEW_ITEM>
							<xsl:if test="string-length(PrDocumentDate)>0">
								<DOCUMENTDATE><xsl:value-of select="PrDocumentDate"/></DOCUMENTDATE>
							</xsl:if>
							<DOCUMENTNAME><xsl:value-of select="PrDocumentName"/></DOCUMENTNAME>
							<DOCUMENTNUMBER><xsl:value-of select="PrDocumentNumber"/></DOCUMENTNUMBER>
							<DOCUMENTSIDCOUNT><xsl:value-of select="position()"/></DOCUMENTSIDCOUNT>	
						</STATDOC_NEW_ITEM>
				</xsl:for-each>
				</STATDOC_NEW>
				<TotalNetWeightQuantity><xsl:value-of select="format-number(round(sum(//GoodsInfo[string-length(NetWeightQuantity)>0]/NetWeightQuantity) * 1000000) div 1000000,'0.######')"/></TotalNetWeightQuantity>
				<TotalPrice><xsl:value-of select="format-number(round(sum(//GoodsInfo[string-length(InvoicedCost)>0]/InvoicedCost) * 100) div 100,'0.##')"/></TotalPrice>
				<TotalDiscount><xsl:value-of select="format-number(round(sum(//GoodsInfo[string-length(StatisticalCostUSD)>0]/StatisticalCostUSD) * 100) div 100,'0.##')"/></TotalDiscount>
				<TotalStatCost><xsl:value-of select="format-number(round(sum(//GoodsInfo[string-length(StatisticalCostRUB)>0]/StatisticalCostRUB) * 100) div 100,'0.##')"/></TotalStatCost>
				<STATDOP_NEW>
					<xsl:for-each select="//GoodsInfo">
						<STATDOP_NEW_ITEM>
							<CURRENCYCODE><xsl:value-of select="$CurrencyC"/></CURRENCYCODE>
							<CURRENCYNAME><xsl:value-of select="$NsiPath//Currency_ITEM[ABBR=$CurrencyC]/Name"/></CURRENCYNAME>	
							<DISCOUNT><xsl:value-of select="StatisticalCostUSD"/></DISCOUNT>
							<GOODSCODE><xsl:value-of select="GoodsTNVEDCode"/></GOODSCODE>
							<GOODSDESCRIPTION>
								<xsl:for-each select="GoodsDescription">
									<xsl:value-of select="."/>
									<xsl:text> </xsl:text>
								</xsl:for-each>
							</GOODSDESCRIPTION>
							<xsl:for-each select="SupplementaryQuantity">
								<GOODSQUANTITY><xsl:value-of select="GoodsQuantity"/></GOODSQUANTITY>
								<MEASUREUNITQUALIFIERNAME><xsl:value-of select="MeasureUnitQualifierName"/></MEASUREUNITQUALIFIERNAME>
								<MEASUREUNITQUALIFIERCODE><xsl:value-of select="MeasureUnitQualifierCode"/></MEASUREUNITQUALIFIERCODE>
							</xsl:for-each>
							<NETWEIGHTQUANTITY><xsl:value-of select="NetWeightQuantity"/></NETWEIGHTQUANTITY>
							<NPP><xsl:value-of select="position()"/></NPP>
							<ORIGINCOUNTRY><xsl:value-of select="OriginCountry/CountryName"/></ORIGINCOUNTRY>						
							<ORIGINCOUNTRYCODE><xsl:value-of select="OriginCountry/CountryCode"/></ORIGINCOUNTRYCODE>
							<PRICE><xsl:value-of select="InvoicedCost"/></PRICE>
							<TOTALCOST><xsl:value-of select="StatisticalCostRUB"/></TOTALCOST>
							<ADDITIONALINFORMATIONCODE><xsl:value-of select="AdditionalInformationCode"/></ADDITIONALINFORMATIONCODE>
							<ADDITIONALINFORMATION><xsl:value-of select="AdditionalInformation"/></ADDITIONALINFORMATION>
							<GOODSNUMERIC><xsl:value-of select="DTInfo/GoodsNumeric"/></GOODSNUMERIC>
							<GTDID>
								<xsl:for-each select="DTInfo/DTNumber">
									<xsl:value-of select="CustomsCode"/>
									<xsl:text>/</xsl:text>
									<xsl:value-of select="concat(substring(RegistrationDate,9,2),substring(RegistrationDate,6,2),substring(RegistrationDate,3,2))"/>
									<xsl:text>/</xsl:text>
									<xsl:value-of select="GTDNumber"/>
								</xsl:for-each>
							</GTDID>
						</STATDOP_NEW_ITEM>
					</xsl:for-each>
				</STATDOP_NEW>
			</STATPRIM_NEW_ITEM>
		</STATPRIM_NEW>
	</xsl:template>

</xsl:stylesheet>
