<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
	<xsl:output method="xml"/>
	<ctmtd:info module="BTT.clsXMLConverterService" scheme="VTAA" docid="ND">Из транзитной декларации (программа "ВЭД-Транзит")</ctmtd:info>
	<xsl:template name="AddressField">
		<xsl:param name="Field"/>
		<xsl:if test="normalize-space($Field) != '' ">
			<xsl:value-of select="normalize-space($Field)"/>,</xsl:if>
	</xsl:template>
	<xsl:template name="MakeAddress">
		<xsl:param name="Pref"/>
		<xsl:call-template name="AddressField">
			<xsl:with-param name="Field" select="*[name()=concat($Pref,'_POSTALCODE')]"/>
		</xsl:call-template>
		<xsl:call-template name="AddressField">
			<xsl:with-param name="Field" select="*[name()=concat($Pref,'_COUNTRYNAME')]"/>
		</xsl:call-template>
		<xsl:call-template name="AddressField">
			<xsl:with-param name="Field" select="*[name()=concat($Pref,'_REGION')]"/>
		</xsl:call-template>
		<xsl:call-template name="AddressField">
			<xsl:with-param name="Field" select="*[name()=concat($Pref,'_CITY')]"/>
		</xsl:call-template>
		<xsl:value-of select="normalize-space(*[name()=concat($Pref,'_STREETHOUSE')])"/>
	</xsl:template>
	<xsl:template match="/VTTPRIM">
		<CMR>
			<xsl:for-each select="/VTTPRIM/VTTPRIM_ITEM">
				<xsl:variable name="VTTPRIM_VTTPRIM_ITEM" select="current()"/>
				<CMR_ITEM>
					<G1_1>
						<xsl:value-of select="G022"/>
					</G1_1>
					<G1_2>
						<xsl:choose>
							<xsl:when test="FORMXML=2">
								<xsl:call-template name="MakeAddress">
									<xsl:with-param name="Pref" select="'G02'"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="G023"/>
							</xsl:otherwise>
						</xsl:choose>
					</G1_2>
					<G2_1>
						<xsl:value-of select="G082"/>
					</G2_1>
					<G2_2>
						<xsl:choose>
							<xsl:when test="FORMXML=2">
								<xsl:call-template name="MakeAddress">
									<xsl:with-param name="Pref" select="'G08'"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="G083"/>
							</xsl:otherwise>
						</xsl:choose>
					</G2_2>
					<G4_2>
						<xsl:value-of select="G15"/>
					</G4_2>
					<G3_2>
						<xsl:value-of select="G17B"/>
					</G3_2>
					<xsl:choose>
						<xsl:when test="string(G501)">
							<xsl:element name="G16_1">
								<xsl:value-of select="G501"/>
							</xsl:element>
							<xsl:element name="G16_2">
								<xsl:choose>
									<xsl:when test="FORMXML=2">
										<xsl:call-template name="MakeAddress">
											<xsl:with-param name="Pref" select="'G14'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="G502"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
						</xsl:when>
						<xsl:otherwise>
							<xsl:element name="G16_1">
								<xsl:value-of select="FAGENTNAME"/>
							</xsl:element>
							<xsl:element name="G16_2">
								<xsl:choose>
									<xsl:when test="FORMXML=2">
										<xsl:call-template name="MakeAddress">
											<xsl:with-param name="Pref" select="'FA'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="FAGENTADDR"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
						</xsl:otherwise>
					</xsl:choose>
					<G3_1>
						<xsl:value-of select="DELIVERTO"/>
					</G3_1>
					<G23_3>
						<xsl:value-of select="DRIVERSINFO"/>
					</G23_3>
					<G13_1>
						<xsl:value-of select="GA3"/>&#xA0;<xsl:value-of select="GA1"/>&#xA0;<xsl:value-of select="A_PLACE"/>
					</G13_1>
					<G13_2>
						<xsl:value-of select="G222"/>
					</G13_2>
					<G13_3>
						<xsl:value-of select="G221"/>
					</G13_3>
					<G25>
						<xsl:value-of select="G181"/>
					</G25>
					<G5>
						<xsl:for-each select="VTTDOP/VTTDOP_ITEM">
							<xsl:value-of select="normalize-space(G442)"/>&#xA0;<xsl:value-of select="normalize-space(G446)"/>
						</xsl:for-each>
					</G5>
					<CMR_CARGO>
						<xsl:for-each select="$VTTPRIM_VTTPRIM_ITEM/VTTDOP/VTTDOP_ITEM">
							<xsl:variable name="VTTDOP_VTTDOP_ITEM" select="current()"/>
							<CMR_CARGO_ITEM>
								<G9>
									<xsl:value-of select="G312"/>
								</G9>
								<G7>
									<xsl:value-of select="G311"/>
								</G7>
								<G6>
									<xsl:value-of select="G3161"/>
								</G6>
								<G12>
									<xsl:value-of select="G315"/>
								</G12>
								<G10>
									<xsl:value-of select="G33"/>
								</G10>
								<G11>
									<xsl:value-of select="round(G35 * 1000) div 1000"/>
								</G11>
								<G8>
									<xsl:value-of select="G318"/>
								</G8>
							</CMR_CARGO_ITEM>
						</xsl:for-each>
					</CMR_CARGO>
					<CMR_PART_27>
						<CMR_PART_27_ITEM>
						</CMR_PART_27_ITEM>
					</CMR_PART_27>
					<CMR_PART_28>
						<CMR_PART_28_ITEM>
						</CMR_PART_28_ITEM>
					</CMR_PART_28>
				</CMR_ITEM>
			</xsl:for-each>
		</CMR>
	</xsl:template>
</xsl:stylesheet>
