<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="BTT.clsXMLConverterService" scheme="VTAA" docid="ND">Из транзитной декларации (программа "ВЭД-Транзит")</ctmtd:info>
	<xsl:template match="/">
		<xsl:apply-templates select="//VTTPRIM"/>
	</xsl:template>
	<xsl:template match="VTTPRIM">
		<TN>
			<xsl:for-each select="VTTPRIM_ITEM">
				<TN_ITEM>
					<DOC_ID>0</DOC_ID>
					<CAR_INFO></CAR_INFO>
					<CARGO>
						<xsl:for-each select="VTTDOP/VTTDOP_ITEM">
							<xsl:value-of select="G312"/>
							<xsl:if test="position()!=last()">
								<xsl:text>,</xsl:text>
							</xsl:if>
						</xsl:for-each>
					</CARGO>
<!--					<CARGO_STATE_LOAD></CARGO_STATE_LOAD>
					<CARGO_STATE_UNLOAD></CARGO_STATE_UNLOAD>
					<CARGO_WEIGHT_LOAD></CARGO_WEIGHT_LOAD>
					<CARGO_WEIGHT_UNLOAD></CARGO_WEIGHT_UNLOAD>
					<CARRIER_CARGO_STATE_LOAD></CARRIER_CARGO_STATE_LOAD>
					<CARRIER_CARGO_STATE_UNLOAD></CARRIER_CARGO_STATE_UNLOAD>
					<CARRIER_DOCS></CARRIER_DOCS>
					<CARRIER_DOCS2></CARRIER_DOCS2>-->
					<CARRIER_INFO>
						<xsl:value-of select="normalize-space(concat(G501,' ',G14_POSTALCODE,' ',G14_COUNTRYCODE,' ',G14_COUNTRYNAME,' ',G14_CITY,' ',G14_STREETHOUSE))"/>
					</CARRIER_INFO>
					<CARRIER_LINK>
						<xsl:for-each select="VTTCARRIERDRIVERS/VTTCARRIERDRIVERS_ITEM">
							<xsl:value-of select="concat(PERSONSURNAME,' ',PERSONNAME,' ',PERSONMIDNAME)"/>
							<xsl:if test="position()!=last()">
								<xsl:text>,</xsl:text>
							</xsl:if>
						</xsl:for-each>
					</CARRIER_LINK>
<!--					<CARRIER_PERSON></CARRIER_PERSON>
					<CARRIER_RESPONSIBLE></CARRIER_RESPONSIBLE>
-->	
					<CARS_REGNUM><xsl:value-of select="G181"/></CARS_REGNUM>
					<CARS_REGNUM2><xsl:value-of select="TRAILER"/></CARS_REGNUM2>
					<CARS_TEH_INFO><xsl:value-of select="VIN"/></CARS_TEH_INFO>
					<CARS_TEH_INFO2><xsl:value-of select="VIN1"/></CARS_TEH_INFO2>
					<CERTIFICAT>
						<xsl:for-each select="VTTDOP/VTTDOP_ITEM/VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM[DOCCODE='04021']">
							<xsl:choose>
								<xsl:when test="string-length(DOCDATE)>0">
									<xsl:value-of select="concat(DOCNUM,' от ',substring(DOCDATE,9,2),'.',substring(DOCDATE,6,2),'.',substring(DOCDATE,1,4))"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="DOCNUM"/>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="position()!=last()">
								<xsl:text>,</xsl:text>
							</xsl:if>
						</xsl:for-each>
					</CERTIFICAT>
					<CONSIGNEE_INFO>
						<xsl:value-of select="normalize-space(concat(G082,' ',G08_POSTALCODE,' ',G08_COUNTRYCODE,' ',G08_COUNTRYNAME,' ',G08_CITY,' ',G08_STREETHOUSE))"/>
					</CONSIGNEE_INFO>
<!--					<CONSIGNEE_PERSON></CONSIGNEE_PERSON>
					<CONSIGNEE_RESPONSIBLE></CONSIGNEE_RESPONSIBLE>-->
					<CONSIGNOR_INFO>
						<xsl:value-of select="normalize-space(concat(G022,' ',G02_POSTALCODE,' ',G02_COUNTRYCODE,' ',G02_COUNTRYNAME,' ',G02_CITY,' ',G02_STREETHOUSE))"/>
					</CONSIGNOR_INFO>
<!--					<CONSIGNOR_PERSON></CONSIGNOR_PERSON>
					<CONSIGNOR_RESPONSIBLE></CONSIGNOR_RESPONSIBLE>
					<COPY></COPY>-->
					<COST>
						<xsl:for-each select="VTTDOP/VTTDOP_ITEM">
							<xsl:value-of select="concat(../../G221_BUK,' ',(round(G42 * 100) div 100))"/>
							<xsl:if test="position()!=last()">
								<xsl:text>,</xsl:text>
							</xsl:if>
						</xsl:for-each>					
					</COST>
<!--					<COST_TRANSPORTATION></COST_TRANSPORTATION>
					<DANGEROUS></DANGEROUS>
					<DANGEROUS_ROUT></DANGEROUS_ROUT>
					<DATE_LIMIT></DATE_LIMIT>
					<DATE_LOAD></DATE_LOAD>
					<DATE_LOAD_FACT></DATE_LOAD_FACT>
					<DATE_REDIRECT></DATE_REDIRECT>
					<DATE_UNLOAD></DATE_UNLOAD>
					<DATE_UNLOAD_FACT></DATE_UNLOAD_FACT>
					<DOC_DATE></DOC_DATE>
					<DOC_ID></DOC_ID>
					<DOC_INFO></DOC_INFO>
					<DOC_INFO2></DOC_INFO2>
					<DOC_N></DOC_N>
					<DOC_NUMBER></DOC_NUMBER>
-->					<DOCS>
						<xsl:for-each select="VTTDOP/VTTDOP_ITEM/VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM[DOCCODE='02015']">
							<xsl:choose>
								<xsl:when test="string-length(DOCDATE)>0">
									<xsl:value-of select="concat(DOCNUM,' от ',substring(DOCDATE,9,2),'.',substring(DOCDATE,6,2),'.',substring(DOCDATE,1,4))"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="DOCNUM"/>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="position()!=last()">
								<xsl:text>,</xsl:text>
							</xsl:if>
						</xsl:for-each>
					</DOCS>
<!--					<FINE_DOWNTIME></FINE_DOWNTIME>
					<FINE_FAILURE></FINE_FAILURE>
					<HOW_PAY></HOW_PAY>
					<LOAD_INFO></LOAD_INFO>
					<LOAD_WORK></LOAD_WORK>
					<NEW_CONSIGNEE></NEW_CONSIGNEE>
					<NEW_LOAD></NEW_LOAD>
					<PAY_TRANSPORTATION></PAY_TRANSPORTATION>
					<PAYANDDATE></PAYANDDATE>
-->					<PLACES>
						<xsl:for-each select="VTTDOP/VTTDOP_ITEM/VTTDOPPACK/VTTDOPPACK_ITEM">
							<xsl:value-of select="concat(G318,' - ',G314)"/>
							<xsl:if test="position()!=last()">
								<xsl:text>,</xsl:text>
							</xsl:if>
						</xsl:for-each>
					</PLACES>
<!--					<RECOMMENDATIONS></RECOMMENDATIONS>
					<REDIRECT_INFO></REDIRECT_INFO>
					<REQUIREMENTS></REQUIREMENTS>
					<REST_DRIVER></REST_DRIVER>
					<SIGNATURE_CONSIGNEE></SIGNATURE_CONSIGNEE>
					<SIGNATURE_CONSIGNOR></SIGNATURE_CONSIGNOR>
					<SIGNATURE_LOAD></SIGNATURE_LOAD>
					<SIGNATURE_UNLOAD></SIGNATURE_UNLOAD>
					<TERMS_MOVE></TERMS_MOVE>
					<TERMS_UNLOAD></TERMS_UNLOAD>
					<TOLL_CLEAN_CAR></TOLL_CLEAN_CAR>
					<TOLL_DANGEROUS></TOLL_DANGEROUS>
					<TOLL_ROAD></TOLL_ROAD>
-->					<UNLOAD_INFO>
						<xsl:value-of select="concat(GA3,' ',GA1)"/>
					</UNLOAD_INFO>
					<WEIGHT>
						<xsl:for-each select="VTTDOP/VTTDOP_ITEM">
							<xsl:value-of select="G35"/>
							<xsl:if test="position()!=last()">
								<xsl:text>,</xsl:text>
							</xsl:if>
						</xsl:for-each>
					</WEIGHT>
<!--					<WEIGHT_CARGO></WEIGHT_CARGO>-->
				</TN_ITEM>		
			</xsl:for-each>
		</TN>
	</xsl:template>
</xsl:stylesheet>
