<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="BTT.clsXMLConverterService" scheme="VTAA" docid="ND">Из транзитной декларации (программа "ВЭД-Транзит")</ctmtd:info>
 <xsl:template match="/VTTPRIM">
  <xsl:element name="INTERNAL_AWB">
   <xsl:for-each select="/VTTPRIM/VTTPRIM_ITEM">
    <xsl:variable name="VTTPRIM_VTTPRIM_ITEM" select="current()"/>
    <xsl:element name="INTERNAL_AWB_ITEM">
     <xsl:element name="EXP_CODE"><xsl:value-of select="G021"/></xsl:element>
     <xsl:element name="EXP_NAME"><xsl:value-of select="G022"/></xsl:element>
     <xsl:element name="IMP_CODE"><xsl:value-of select="G081"/></xsl:element>
     <xsl:element name="IMP_NAME"><xsl:value-of select="G082"/></xsl:element>
     <xsl:element name="PAYER_NAME"><xsl:value-of select="FAGENTNAME"/></xsl:element>
     <xsl:element name="TOTAL_B_N"><xsl:value-of select="G35_NTF div 1000"/></xsl:element>
     <xsl:element name="RANGE5"><xsl:value-of select="substring-before(G503,' ')"/></xsl:element>    
     <xsl:element name="SIGN5"><xsl:value-of select="substring-after(G503,' ')"/></xsl:element>
     <xsl:element name="DRIVER"><xsl:value-of select="substring-after(G503,' ')"/></xsl:element>    
     <xsl:element name="DOC4_S"><xsl:value-of select="substring-before(G505,' ')"/></xsl:element>
     <xsl:element name="DOC4_N2"><xsl:value-of select="substring-after(G505,' ')"/></xsl:element>
     <xsl:element name="DOC4_N1"><xsl:value-of select="D50_NLIC"/></xsl:element>
     <xsl:element name="CAR_N"><xsl:value-of select="G181"/></xsl:element>
     <xsl:element name="SIGN7"><xsl:value-of select="substring-after(G503,' ')"/></xsl:element>
     <xsl:element name="INTERNAL_AWB_CARGO1">
      <xsl:for-each select="$VTTPRIM_VTTPRIM_ITEM/VTTDOP/VTTDOP_ITEM">
       <xsl:variable name="VTTDOP_VTTDOP_ITEM" select="current()"/>
       <xsl:element name="INTERNAL_AWB_CARGO1_ITEM">
        <xsl:element name="CARGO"><xsl:value-of select="G312"/></xsl:element>
        <xsl:element name="UNIT"><xsl:value-of select="G317A"/></xsl:element>
        <xsl:element name="PACKAGE"><xsl:value-of select="G318"/></xsl:element>
        <xsl:element name="ID1"><xsl:value-of select="G33"/></xsl:element>
        <xsl:element name="WEIGHT"><xsl:value-of select="G35 div 1000"/></xsl:element>
        <xsl:element name="PLACES"><xsl:value-of select="G311"/></xsl:element>
        <xsl:element name="QUANTITY"><xsl:value-of select="G315A"/></xsl:element>
        <xsl:element name="SUM"><xsl:value-of select="G42"/></xsl:element></xsl:element>
      </xsl:for-each>
     </xsl:element>
     <xsl:element name="INTERNAL_AWB_CARGO2">
        <xsl:for-each select="$VTTPRIM_VTTPRIM_ITEM/VTTDOP/VTTDOP_ITEM">
        <xsl:variable name="VTTDOP_VTTDOP_ITEM" select="current()"/>
        <xsl:element name="INTERNAL_AWB_CARGO2_ITEM">
        <xsl:element name="CARGO"><xsl:value-of select="G312"/></xsl:element>
        <xsl:element name="ID1"><xsl:value-of select="G33"/></xsl:element>
        <xsl:element name="WEIGHT"><xsl:value-of select="G35 div 1000"/></xsl:element>
        <xsl:element name="PLACES"><xsl:value-of select="G311"/></xsl:element>
        <xsl:element name="CONT_N"><xsl:value-of select="G3161"/></xsl:element>
        </xsl:element>
        </xsl:for-each>
        </xsl:element>      
      </xsl:element>
   </xsl:for-each>
  </xsl:element>
 </xsl:template>
</xsl:stylesheet>
